#	File:		Extension multi-seg.make
#   Target:     Extension
#   Sources:    Extension.a Extension.c Extension.r
#   Created:    Wednesday, Nov. 11, 1992 6:42:32 PM
#
#	Makefile for a printing extension.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	12/01/92 - dmh - Created.
#	 4/26/93 - dmh - Updated to use recommended approach to
#					 global data initialization.
#	 9/05/93 - dmh - Updated for b2.
#   12/18/93 - dmh - Updated for b3.
#	 6/10/94 - dmh - Added GXPRINTINGDISPATCH examples.
#    8/24/94 - dmh - Finalized.

#	Alias to the path for the GX library and interface files.

INTPATH = {CIncludes}

#	Creator type we'll use:

kCreator = 'GMUL'

OBJECTS_SEG1 = Extension.a.o Extension.c.o 
OBJECTS_SEG2 = "Extension seg2.a.o" "Extension Seg2.c.o"
AsmOptions		= -sym off -i "{INTPATH}" -case obj
CompileOptions	= -opt full -d applec -b2 -r -i "{INTPATH}"

Extension.a.o  "Extension multi-seg.make" Extension.a
	 Asm {AsmOptions} Extension.a
Extension.c.o  "Extension multi-seg.make" Extension.c
	 C {CompileOptions} Extension.c

"Extension Seg2.a.o"  "Extension multi-seg.make" "Extension Seg2.a"
	 Asm {AsmOptions} "Extension Seg2.a"
"Extension Seg2.c.o"  "Extension multi-seg.make" "Extension Seg2.c"
	 C {CompileOptions} "Extension Seg2.c"

"Extension multi-seg"  "Extension multi-seg.make" Extension.r {OBJECTS_SEG1}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS_SEG1}					
			"{Libraries}Runtime.o"			
			-o "Extension multi-seg";

"Extension multi-seg"  "Extension multi-seg.make" Extension.r {OBJECTS_SEG2}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=1						
			-sg SEGS						
			-m EntryPoint2					
			{OBJECTS_SEG2}					
			-o "Extension multi-seg";
	SetFile "Extension multi-seg" -a iB;
	Rez -i "{INTPATH}" -rd -o "Extension multi-seg" Extension.r -append 
