#	File:		Extension.make
#   Target:     Extension
#   Sources:    Extension.a Extension.c Extension.r
#   Created:    Wednesday, Nov. 11, 1992 6:42:32 PM
#
#	Makefile for a printing extension.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	12/01/92 - dmh - Created.
#	 4/26/93 - dmh - Updated to use recommended approach to
#					 global data initialization.
#	 9/05/93 - dmh - Updated for b2.
#   12/18/93 - dmh - Updated for b3.
#    8/24/94 - dmh - Finalized.

#	Alias to the path for the GX library and interface files.

INTPATH = {CIncludes}

#	Creator type we'll use:

kCreator = 'GExt'


OBJECTS = Extension.a.o Extension.c.o
AsmOptions		= -sym off -i "{INTPATH}" -case obj
CompileOptions	= -opt full -d applec -b2 -r -i "{INTPATH}"

Extension.a.o  Extension.make Extension.a
	 Asm {AsmOptions} Extension.a
Extension.c.o  Extension.make Extension.c
	 C {CompileOptions} Extension.c

Extension  Extension.make Extension.r {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS}						
			"{Libraries}Runtime.o"			
#			"{Libraries}Interface.o"		
#			"{CLibraries}StdClib.o"			
			-o Extension;
	SetFile Extension -a iB;
	Rez -i "{INTPATH}" -rd -o Extension Extension.r -append 
