#	File:		PS Extension.make
#   Target:     PS Extension
#   Sources:    PS Extension.a PS Extension.c PS Extension.r
#   Created:    Wednesday, Nov. 11, 1992 6:42:32 PM
#
#	Makefile for a printing extension.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	(Based on the "Extension Shell" sample.)
#
#	12/01/92 - dmh - Created.
#	 4/26/93 - dmh - Updated to use recommended approach to
#					 global data initialization.
#	 9/05/93 - dmh - Updated for b2.
#	 9/08/93 - dmh - Modified to override
#	 				 GXPostScriptDoPageSetup.
#				   - Added a "PS " before the file names.
#				   - Changed creator type.
#	12/18/93 - dmh - Updated for b3.
#    8/24/94 - dmh - Finalized.

#	Alias to the path for the GX library and interface files.

INTPATH = {CIncludes}

#	Creator type we'll use:

kCreator = 'GPxt'


OBJECTS = "PS Extension.a.o" "PS Extension.c.o"
AsmOptions		= -sym off -i "{INTPATH}" -case obj
CompileOptions	= -opt full -d applec -b2 -r -i "{INTPATH}"

"PS Extension.a.o"  "PS Extension.make" "PS Extension.a"
	 Asm {AsmOptions} "PS Extension.a"
"PS Extension.c.o"  "PS Extension.make" "PS Extension.c"
	 C {CompileOptions} "PS Extension.c"

"PS Extension"  "PS Extension.make" "PS Extension.r" {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS}						
			"{Libraries}Runtime.o"			
			-o "PS Extension";
	SetFile "PS Extension" -a iB;
	Rez -i "{INTPATH}" -rd -o "PS Extension" "PS Extension.r" -append 
