#	File:		UserAlert.make
#   Target:     UserAlert
#   Sources:    UserAlert.a UserAlert.c UserAlert.r
#   Created:    Wednesday, Nov. 11, 1992 6:42:32 PM
#
#	Makefile for an extension that adds an alert item to the
#	desktop printer menu and also displays it during despooling.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	12/01/92 - dmh - created.
#	12/22/93 - dmh - updated for b3.
#	 5/03/94 - dmh - updated for f2.
#	 8/24/94 - dmh - finalized.
#

#	Alias to the path for the GX interface files.

INTPATH = {CIncludes}


#	Creator type we'll use:

kCreator = 'DTPA'

OBJECTS = "UserAlert.a.o" "UserAlert.c.o"

AsmOptions		= -sym off -i "{INTPATH}" -case obj
CompileOptions	= -opt full -d applec -b2 -r -i "{INTPATH}"

"UserAlert.a.o"  "UserAlert.make" "UserAlert.a"
	 Asm {AsmOptions} "UserAlert.a"
"UserAlert.c.o"  "UserAlert.make" "UserAlert.c"
	 C {CompileOptions} "UserAlert.c"

"UserAlert"  "UserAlert.make" "UserAlert.r" {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS}						
			-o "UserAlert";
	SetFile "UserAlert" -a iB;
	Rez -i "{INTPATH}" -rd -o "UserAlert" "UserAlert.r" -append 