/*________________________________________________

	File: DTP Menu Alert.r
	
	Dave Hersey
	Apple Developer Technical Support

	12/01/92 - dmh - created.
	12/22/93 - dmh - updated for b3
	 5/03/94 - dmh - updated for f2

	(Note: resource labels are in the Mark menu)

  ________________________________________________*/

#include "SysTypes.r"
#include "Types.r"
#include "PrintingResTypes.h"
#include "PrintingResTypes.r"

#define kCreator			'DTPA'

#define r_FinderBNDL		128

#define r_AlertString		gxPrintingTagID

#define kJustAPrintAlrt		gxPrintingDriverBaseID +1
#define kUserAttentionID	gxPrintingDriverBaseID +1
#define kAlertStatusIdx		1


/*================ 'vers' resource that's required by all extensions ================== */

/*	The first byte of this resource must be zero or one for
	this extension to be compatible with GX v1.0.  The
	remainder of the data is ignored.						*/

resource 'vers' (gxPrintingExtensionBaseID, sysheap, purgeable) {
	0x0,
	0x0,
	release,
	0x0,
	verUS,
	"",
	""
};


/*=============== Standard 'vers', bundle and icon resources follow ================= */

resource 'vers' (1, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"1.0,  Apple Computer, Inc. 1992-1994"
};


resource 'vers' (2, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"UserAlert v1.0"
};


/*=================== Status Alert Types and Resources =================== */


resource 'stat'	(kUserAttentionID, sysheap, purgeable)
{
	kCreator,
	{
		userAlert, kAlertStatusIdx, kJustAPrintAlrt, "Displaying alert."
	}
};


resource 'plrt' (kJustAPrintAlrt, sysheap, purgeable)
{
	printingStatus,													/* version */
	noteIcon,														/* icon id */
	defaultSystemSize,												/* text Size */
	defaultAction,													/* the default label */
	noCancelTitle,													/* cancel label */
	"Welcome to QuickDraw GX, dude."
	"",											    				/* text string */
	"OK",															/* action label */
	"",																/* button label 2 */
	"",																/* button label 3 */
	"",																/* font name */
	"A Sample Alert"
};


resource 'STR '	(r_AlertString, sysheap, purgeable)
{
	"Show an Alert"
};

/*=================== Required Printing Extension Types and Resources =================== */


/*======= Scope ('scop') Resource ======= */

/*	This resource tells the printing system which types
	of drivers we work with.  (We work with all of them.) */

resource gxExtensionScopeType (gxDriverScopeID, sysheap, purgeable)
{
	{
		'univ'		
	};
};


/*======= Message Override ('over') Resource ======= */

/*	This resource tells the printing system which messages we
	want to override and where the override code is located. */

resource gxOverrideType (gxExtensionUniversalOverrideID, sysheap, purgeable)
{
	{
		// message to override	segmentID		offset into jump table
		gxGetDTPMenuList,			0,			 			4,
		gxDTPMenuSelect,			0,						8,
		gxDespoolPage,				0,					   12
	};
};


/*======= Extension Optimization ('eopt') Resource ======= */

/*	This resource tells the printing system at which times we'll
	be doing things so that it can optimize for us.  */

resource gxExtensionOptimizationType (gxExtensionOptimizationID, sysheap, purgeable)
{
	gxDontExecuteDuringImaging,
	gxDontNeedDeviceStatus,
	gxDontChangePageAtGXDespoolPage,
	gxDontChangePageAtGXImagePage,
	gxDontChangePageAtGXRenderPage,
	gxNotServerPresenceRequired,
	gxNotClientPresenceRequired
};


/*======= Extension Load ('load') Resource ======= */

/*	This resource tells the printing system where we want
	to be loaded in the handler chain.  We don't care
	where we load.	*/

resource gxExtensionLoadType (gxExtensionLoadID, sysheap, purgeable)
{
	gxExtensionLoadAnywhere
};


/*=================== Standard 'vers', bundle and icon resources follow =================== */

/*======= Printing Extension Version Resource ======= */

resource 'BNDL' (r_FinderBNDL, sysheap, purgeable) {
	kCreator,
	0,
	{
		'ICN#', {0, r_FinderBNDL},
		'FREF', {0, r_FinderBNDL}
	}
};


resource 'FREF' (r_FinderBNDL, sysheap, purgeable) {
	'pext',
	0,
	""
};


Type kCreator as 'STR ';

resource kCreator (0, "Owner resource", sysheap, purgeable) {
	"This is a printing extension that adds an "
	"alert item to the DTP menu and also displays it "
	"during despooling."
};


resource 'ics8' (r_FinderBNDL, sysheap, purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 00FF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 00FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"00FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF FFFF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFFF FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 FFF6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FF00 FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 FFFF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFFF FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"00FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 00FF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 00FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics4' (r_FinderBNDL, sysheap, purgeable) {
	$"0FFF FFFF FFFF FFFF 0FCC CCCC CCCC CCCF 0FCC CCCC CCCC CCCF"
	$"0FCC CCCC CCCC CCCF FFCC CCCC CCCC CCFF FFCC CCCC CCCC CCFF"
	$"FCCC CCCC CCCC CCF0 FCCC CCCC CCCC CCF0 FCCC CCCC CCCC CCF0"
	$"FCCC CCCC CCCC CCF0 FFCC CCCC CCCC CCFF FFCC CCCC CCCC CCFF"
	$"0FCC CCCC CCCC CCCF 0FCC CCCC CCCC CCCF 0FCC CCCC CCCC CCCF"
	$"0FFF FFFF FFFF FFFF"
};

resource 'ics#' (r_FinderBNDL, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FFF 4001 4001 4001 C003 C003 8002 8002 8002 8002 C003 C003"
		$"4001 4001 4001 7FFF",
		/* [2] */
		$"7FFF 7FFF 7FFF 7FFF FFFF FFFF FFFE FFFE FFFE FFFE FFFF FFFF"
		$"7FFF 7FFF 7FFF 7FFF"
	}
};

resource 'ICN#' (r_FinderBNDL, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0FFF FFFE 1000 0001 1000 0001 1000 0001 1000 0001 1000 0001"
		$"1000 0001 1000 0001 1000 0005 5000 000B B000 0009 9000 0008"
		$"8000 0008 8000 0008 8000 0008 8000 0008 8000 0008 8000 0008"
		$"8000 0008 8000 0008 8000 0008 B000 0009 5000 000B 1000 0005"
		$"1000 0001 1000 0001 1000 0001 1000 0001 1000 0001 1000 0001"
		$"1000 0001 0FFF FFFE",
		/* [2] */
		$"0FFF FFFE 1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 5FFF FFFB FFFF FFF9 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF9 5FFF FFFB 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 0FFF FFFE"
	}
};

resource 'icl8' (r_FinderBNDL, sysheap, purgeable) {
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF00 0000 00FF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF 0000 00FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF F6FF"
	$"00FF 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 FF00 FFFF FF00 FFFF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 00FF FF00 00FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 FF00 0000 FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000 FF00 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 FF00 0000 FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000 FF00 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 FF00 0000 FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000 FF00 F6FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 0000"
	$"FF00 FFFF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 FF00 00FF 00FF 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00 FFFF 0000 00FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF F6FF"
	$"0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 00FF 00F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF 00F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl4' (r_FinderBNDL, sysheap, purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFF0 000F 0000 0000 0000"
	$"0000 0000 0000 000F 000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC"
	$"CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC"
	$"CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC CCCC CCCC CCCC CFCF"
	$"0F0F 0CCC CCCC CCCC CCCC CCCC CCCC F0FF F0FF 0CCC CCCC CCCC"
	$"CCCC CCCC CCCC F00F F00F 0CCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000 F0CC CCCC CCCC CCCC"
	$"CCCC CCCC CCCC F000 F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000 F0CC CCCC CCCC CCCC"
	$"CCCC CCCC CCCC F000 F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0CC CCCC CCCC CCCC CCCC CCCC CCCC F000 F0CC CCCC CCCC CCCC"
	$"CCCC CCCC CCCC F000 F0CF 0CCC CCCC CCCC CCCC CCCC CCCC F000"
	$"F0FF 0CCC CCCC CCCC CCCC CCCC CCCC F00F 0F0F 0CCC CCCC CCCC"
	$"CCCC CCCC CCCC F0FF 000F 0CCC CCCC CCCC CCCC CCCC CCCC CFCF"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC"
	$"CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC"
	$"CCCC CCCC CCCC CCCF 000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCCC CCCF 0000 FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFF0"
};

