/*________________________________________________________

	File: UserItems.h

	C header file for a printing extension that shows how
	to handle hits and updates for userItems in panels.

	Dave Hersey
	Apple Developer Technical Support

	 6/06/93 - dmh - Created.
	 9/07/93 - dmh - Updated for b2.
	12/18/93 - dmh - Updated for b3.
     3/22/94 - dmh - Updated for b4.

	(Note: labels are in the Mark menu.)
	
__________________________________________________________*/

#include <Types.h>
#include <Errors.h>
#include <GXExceptions.h>
#include <Resources.h>
#include <ToolUtils.h>
#include <Collections.h>
#include <Messages.h>
#include <PrintingManager.h>
#include <PrintingMessages.h>

#define kCreator					'U$'			/* Our creator type.			*/
#define kExtensionCollectionType	kCreator		/* The collection type we use.	*/

#define r_ExtensionPanel			6000			/* The ID of our dialog panel.	*/
#define kExtensionTurnedOff			0				/* We're turned on.				*/
#define kExtensionTurnedOn			1				/* We're turned off.			*/

#define kDefaultSetting			kExtensionTurnedOn	/* We're on by default.			*/

#define kMyUserItem					3				/* DITL item #3 is a user item.	*/


typedef struct ExtensionCollection					/* This is our collection type.	*/
{
	char	extTurnedOn;							/* Are we enabled?				*/
	char	fillByte;
} ExtensionCollection;


// Prototypes:

extern	long A5Size (void);							/* We need these to set up		*/
extern	void A5Init (void *);						/* our A5 world.				*/

OSErr	InitGlobalData(void);
OSErr	NewInitialize(void);
OSErr	NewShutDown(void);
OSErr	NewJobPrintDialog(gxDialogResult *dlogResult);
OSErr	NewHandlePanelEvent(gxPanelInfoRecord *panelInfo);
OSErr	NewFilterPanelEvent(gxPanelInfoRecord *panelInfo, Boolean *returnImmed);
OSErr	HandlePanelUpdate(DialogPtr theDialog, gxPanelInfoRecord *panelInfo);
OSErr	HandlePanelHit(DialogPtr theDialog, gxPanelInfoRecord *panelInfo,
					   short theItem, Boolean *returnImmed);
OSErr	SetUpPrintPanel(void);

typedef struct MyGlobalRec {
		PicHandle	panelPict;
} MyGlobalRec;
