#==============================================================================================
#
#	Make FILE:		HPXL.make
#
#	VERSION:		1.0
#
#	COPYRIGHT:		(c) 1992-94 Apple Computer Inc.
#						All rights reserved.
#
#	PURPOSE:		This file contains the build commands for the HPXL driver.
#
#	HISTORY:		Date			By		Description
#					-----			---		--------------------------------------
#				    8/28/94		    dmh		Finalized for SDK.
#				   12/18/93		    dmh		Updated for the b3 seed.
#					9/13/93		    dmh		Updated for the b2 seed.
#					1/20/92		    Harita	Initial release
#
#==============================================================================================

#========== Directories Containing Source and Object Files ==========

ObjDir					=	:Objects:
SrcDir					=	
DestDir					=	

#========== Compiler Options ==========

AsmOptions				=	-case obj
RezOptions				=	-rd -i {RIncludes} -d SystemSevenOrLater=1
CompileOptions			=	-d applec -b2 -i {CIncludes}
LinkOptions				=	-ra =resSysHeap,resPurgeable

DriverName 		=  HPXL
DriverType 		= 'pdvr'
DriverCreator 	= 'scXL'

#========== Files to Link Seg #1 With ==========

CSeg1Objs	=	"{ObjDir}MessageJumpTable.a.o"		
				"{ObjDir}MessageRoutines.c.o"		
				"{ObjDir}PackageRoutines.c.o"		

#========== Link and Rez Build Statements ==========

"{DestDir}{DriverName}"		{CSeg1Objs} 							
					"{SrcDir}{DriverName}.make"					
					"{SrcDir}Resources.r"					
		Echo "Linking {DriverName} Driver"
		Link  {LinkOptions} 
			  -t {DriverType}		
			  -c {DriverCreator}		
			  -rt {DriverType}=0	
			  -d	
			  -m SD_JumpTable	
			  -sg "{DriverName}" 
			  {CSeg1Objs}	
			  "{Libraries}Interface.o"	
			  "{CLibraries}StdCLib.o"	
			  "{Libraries}Runtime.o"	
			  -o "{DestDir}{DriverName}" 
		SetFile -a Bi "{DestDir}{DriverName}"
		Echo "Rezzing {DriverName} Driver"
		Rez {RezOptions} -c {DriverCreator} -t {DriverType} -ov -s {ObjDir} -s {RIncludes} -o "{DestDir}{DriverName}" "{SrcDir}Resources.r" -append
		SetFile -a Bi -c {DriverCreator} -t {DriverType} "{DestDir}{DriverName}"

"{DestDir}{DriverName}"  {SrcDir}ChooserSupport.r
	Echo "{DriverName}: Rezzing Chooser resources"
	Rez -rd -i {RIncludes} -c {DriverCreator} -t {DriverType} -ov -append  -s {ObjDir} -s {RIncludes} -o "{DestDir}{DriverName}" {SrcDir}ChooserSupport.r 

"{DestDir}{DriverName}"  								
	{ObjDir}ChooserSupport.a.o					
	{ObjDir}ChooserSupport.c.o					
	Echo "{DriverName}: Linking PACK"
	Link {ObjDir}ChooserSupport.a.o				
		{ObjDir}ChooserSupport.c.o				
		
		-rt PACK=-4096							
		-sg PrintingPACK						
		-m EntryPoint							
		
		-o "{DestDir}{DriverName}"

"{DestDir}{DriverName}"	 {ObjDir}ChooserSupport.c.o
	Echo "{DriverName}: Linking LDEF"
	Link  -w -rt LDEF=-4096 -m LDEF -sg LDEF -o "{DestDir}{DriverName}" {ObjDir}ChooserSupport.c.o

#========== Assemble Build Statements - MessageJumpTable.a ==========

"{ObjDir}MessageJumpTable.a.o"	 	"{SrcDir}MessageJumpTable.a" 
	Echo "Assembling MessageJumpTable.a"
	Asm {SrcDir}MessageJumpTable.a {AsmOptions} -o {ObjDir}MessageJumpTable.a.o

#========== Compile Build Statements - MessageRoutines.c ==========

"{ObjDir}MessageRoutines.c.o"		"{SrcDir}MessageRoutines.c" 
	Echo "Compiling MessageRoutines.c"
	C "{SrcDir}MessageRoutines.c" -o "{ObjDir}MessageRoutines.c.o"  {CompileOptions}

#========== Compile Build Statements - PackageRoutines.c ==========

"{ObjDir}PackageRoutines.c.o"		"{SrcDir}PackageRoutines.c" 
	Echo "Compiling PackageRoutines.c"
	C "{SrcDir}PackageRoutines.c" -o "{ObjDir}PackageRoutines.c.o"  {CompileOptions}

#========== Assemble Build Statements - ChooserSupport.a ==========

"{ObjDir}ChooserSupport.a.o"	 	"{SrcDir}ChooserSupport.a" 
	Echo "Assembling ChooserSupport.a"
	Asm {SrcDir}ChooserSupport.a {AsmOptions} -o {ObjDir}ChooserSupport.a.o
	
#========== Compile Build Statements - ChooserSupport.c ==========

"{ObjDir}ChooserSupport.c.o"		"{SrcDir}ChooserSupport.c" 
	Echo "Compiling ChooserSupport.c"
	C "{SrcDir}ChooserSupport.c" -o "{ObjDir}ChooserSupport.c.o"  {CompileOptions}
	
