/* ------------------------------------------------------------------------------
FILENAME
	NewApp.r

DESCRIPTION
	This module contains resources needed for the new API and imaging
		
COPYRIGHT
	 Copyright Apple Computer, Inc. 1991-1994
	 All rights reserved. 

MODIFICATION HISTORY:

	 8/26/94	dmh				Sync'd with the shipping 1.0.1 GX driver.
	 6/23/94	dmh				Added overrides for renaming DTPs.
	 5/04/94	dmh				Updated for the f2 seed.
	 3/22/94	dmh				Updated for the b4 seed.
	12/20/93	dmh				Sync'd with the shipping 1.0b3 GX driver.
	 3/18/91	Tom Dowdy		All new today
	 	
-------------------------------------------------------------------------------- */

// standard system definitions for resources
#include "Types.r"
#include "SysTypes.r"

#include "PrintingResTypes.r"

// and IDs shared between the .r and the .c file
#include "CommonDefines.h"


resource 'vers' (gxPrintingDriverBaseID, purgeable) {
	0x01, 0x00, release, 0x00,
	verUS,
	"1.00",
	"1.00, Copyright \251 Apple Computer, Inc. 1989-1994"
};


// Normal 'vers' resources so we can tell what version we've got.

resource 'vers' (1, sysheap, purgeable) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"1.0,  Apple Computer, Inc. 1989-1994"
};


resource 'vers' (2, sysheap, purgeable) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"Sample Printer Driver"
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR DRAFT MODE PRINTING */
/* ------------------------------------------------------------------------ */
type 'idft' {
	array charArray {
	unsigned bitstring[1] noBack = 0, Back = 1;
	unsigned bitstring[3] = 0;
	unsigned bitstring[4] rawChar = 0, Italian=1, Danish=2, British=3, German=4, Swedish=5, French=6, Spanish=7, Download=8;
	unsigned hex byte noChar = $00;
	};
};

// Note: to properly see the following characters, this file should be viewed in Courier
resource 'idft' (gxPrintingDriverBaseID, sysheap, purgeable) {
	{
	noBack,		rawChar,	$20;	noBack,		rawChar,	noChar;		// space
	noBack,		rawChar,	$21;	noBack,		rawChar,	noChar;		// !
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// "
	noBack,		rawChar,	$23;	noBack,		rawChar,	noChar;		// #
	noBack,		rawChar,	$24;	noBack,		rawChar,	noChar;		// $
	noBack,		rawChar,	$25;	noBack,		rawChar,	noChar;		// %
	noBack,		rawChar,	$26;	noBack,		rawChar,	noChar;		// &
	noBack,		rawChar,	$27;	noBack,		rawChar,	noChar;		// '
	noBack,		rawChar,	$28;	noBack,		rawChar,	noChar;		// (
	noBack,		rawChar,	$29;	noBack,		rawChar,	noChar;		// )
	noBack,		rawChar,	$2A;	noBack,		rawChar,	noChar;		// *
	noBack,		rawChar,	$2B;	noBack,		rawChar,	noChar;		// +
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// ,
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// -
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// .
	noBack,		rawChar,	$2F;	noBack,		rawChar,	noChar;		// /
	
	noBack,		rawChar,	$30;	noBack,		rawChar,	noChar;		// 0
	noBack,		rawChar,	$31;	noBack,		rawChar,	noChar;		// 1
	noBack,		rawChar,	$32;	noBack,		rawChar,	noChar;		// 2
	noBack,		rawChar,	$33;	noBack,		rawChar,	noChar;		// 3
	noBack,		rawChar,	$34;	noBack,		rawChar,	noChar;		// 4
	noBack,		rawChar,	$35;	noBack,		rawChar,	noChar;		// 5
	noBack,		rawChar,	$36;	noBack,		rawChar,	noChar;		// 6
	noBack,		rawChar,	$37;	noBack,		rawChar,	noChar;		// 7
	noBack,		rawChar,	$38;	noBack,		rawChar,	noChar;		// 8
	noBack,		rawChar,	$39;	noBack,		rawChar,	noChar;		// 9
	noBack,		rawChar,	$3A;	noBack,		rawChar,	noChar;		// :
	noBack,		rawChar,	$3B;	noBack,		rawChar,	noChar;		// ;
	noBack,		rawChar,	$3C;	noBack,		rawChar,	noChar;		// <
	noBack,		rawChar,	$3D;	noBack,		rawChar,	noChar;		// =
	noBack,		rawChar,	$3E;	noBack,		rawChar,	noChar;		// >
	noBack,		rawChar,	$3F;	noBack,		rawChar,	noChar;		// ?
	
	noBack,		rawChar,	$40;	noBack,		rawChar,	noChar;		// @
	noBack,		rawChar,	$41;	noBack,		rawChar,	noChar;		// A
	noBack,		rawChar,	$42;	noBack,		rawChar,	noChar;		// B
	noBack,		rawChar,	$43;	noBack,		rawChar,	noChar;		// C
	noBack,		rawChar,	$44;	noBack,		rawChar,	noChar;		// D
	noBack,		rawChar,	$45;	noBack,		rawChar,	noChar;		// E
	noBack,		rawChar,	$46;	noBack,		rawChar,	noChar;		// F
	noBack,		rawChar,	$47;	noBack,		rawChar,	noChar;		// G
	noBack,		rawChar,	$48;	noBack,		rawChar,	noChar;		// H
	noBack,		rawChar,	$49;	noBack,		rawChar,	noChar;		// I
	noBack,		rawChar,	$4A;	noBack,		rawChar,	noChar;		// J
	noBack,		rawChar,	$4B;	noBack,		rawChar,	noChar;		// K
	noBack,		rawChar,	$4C;	noBack,		rawChar,	noChar;		// L
	noBack,		rawChar,	$4D;	noBack,		rawChar,	noChar;		// M
	noBack,		rawChar,	$4E;	noBack,		rawChar,	noChar;		// N
	noBack,		rawChar,	$4F;	noBack,		rawChar,	noChar;		// O
	noBack,		rawChar,	$50;	noBack,		rawChar,	noChar;		// P
	noBack,		rawChar,	$51;	noBack,		rawChar,	noChar;		// Q
	noBack,		rawChar,	$52;	noBack,		rawChar,	noChar;		// R
	noBack,		rawChar,	$53;	noBack,		rawChar,	noChar;		// S
	noBack,		rawChar,	$54;	noBack,		rawChar,	noChar;		// T
	noBack,		rawChar,	$55;	noBack,		rawChar,	noChar;		// U
	noBack,		rawChar,	$56;	noBack,		rawChar,	noChar;		// V
	noBack,		rawChar,	$57;	noBack,		rawChar,	noChar;		// W
	noBack,		rawChar,	$58;	noBack,		rawChar,	noChar;		// X
	noBack,		rawChar,	$59;	noBack,		rawChar,	noChar;		// Y
	noBack,		rawChar,	$5A;	noBack,		rawChar,	noChar;		// Z
	
	noBack,		rawChar,	$5B;	noBack,		rawChar,	noChar;		// [
	noBack,		rawChar,	$5C;	noBack,		rawChar,	noChar;		// \
	noBack,		rawChar,	$5D;	noBack,		rawChar,	noChar;		// ]
	noBack,		rawChar,	$5E;	noBack,		rawChar,	noChar;		// ^
	noBack,		rawChar,	$5F;	noBack,		rawChar,	noChar;		// _
	noBack,		rawChar,	$60;	noBack,		rawChar,	noChar;		// `
	
	noBack,		rawChar,	$61;	noBack,		rawChar,	noChar;		// a
	noBack,		rawChar,	$62;	noBack,		rawChar,	noChar;		// b
	noBack,		rawChar,	$63;	noBack,		rawChar,	noChar;		// c
	noBack,		rawChar,	$64;	noBack,		rawChar,	noChar;		// d
	noBack,		rawChar,	$65;	noBack,		rawChar,	noChar;		// e
	noBack,		rawChar,	$66;	noBack,		rawChar,	noChar;		// f
	noBack,		rawChar,	$67;	noBack,		rawChar,	noChar;		// g
	noBack,		rawChar,	$68;	noBack,		rawChar,	noChar;		// h
	noBack,		rawChar,	$69;	noBack,		rawChar,	noChar;		// i
	noBack,		rawChar,	$6A;	noBack,		rawChar,	noChar;		// j
	noBack,		rawChar,	$6B;	noBack,		rawChar,	noChar;		// k
	noBack,		rawChar,	$6C;	noBack,		rawChar,	noChar;		// l
	noBack,		rawChar,	$6D;	noBack,		rawChar,	noChar;		// m
	noBack,		rawChar,	$6E;	noBack,		rawChar,	noChar;		// n
	noBack,		rawChar,	$6F;	noBack,		rawChar,	noChar;		// o
	noBack,		rawChar,	$70;	noBack,		rawChar,	noChar;		// p
	noBack,		rawChar,	$71;	noBack,		rawChar,	noChar;		// q
	noBack,		rawChar,	$72;	noBack,		rawChar,	noChar;		// r
	noBack,		rawChar,	$73;	noBack,		rawChar,	noChar;		// s
	noBack,		rawChar,	$74;	noBack,		rawChar,	noChar;		// t
	noBack,		rawChar,	$75;	noBack,		rawChar,	noChar;		// u
	noBack,		rawChar,	$76;	noBack,		rawChar,	noChar;		// v
	noBack,		rawChar,	$77;	noBack,		rawChar,	noChar;		// w
	noBack,		rawChar,	$78;	noBack,		rawChar,	noChar;		// x
	noBack,		rawChar,	$79;	noBack,		rawChar,	noChar;		// y
	noBack,		rawChar,	$7A;	noBack,		rawChar,	noChar;		// z
	
	noBack,		rawChar,	$7B;	noBack,		rawChar,	noChar;		// {
	noBack,		rawChar,	$7C;	noBack,		rawChar,	noChar;		// |
	noBack,		rawChar,	$7D;	noBack,		rawChar,	noChar;		// }
	noBack,		rawChar,	$7E;	noBack,		rawChar,	noChar;		// ~
	noBack,		rawChar,	$20;	noBack,		rawChar,	noChar;		// undefined
	
	// $80 col
	noBack,		Swedish,	$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		Swedish,	$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$43;	Back,		rawChar,	$2C;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$27;		// 
	noBack,		Spanish,	$5C;	noBack,		rawChar,	noChar;		// 
	noBack,		Swedish,	$5C;	noBack,		rawChar,	noChar;		// 
	noBack,		German,		$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$27;		// 
	noBack,		Italian,	$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$5E;		// 
	noBack,		German,		$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$7E;		// 
	noBack,		Danish,		$7D;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$5C;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$7D;	noBack,		rawChar,	noChar;		// 

	// $90 col
	noBack,		rawChar,	$65;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$22;	Back,		rawChar,	$65;		// 
	noBack,		rawChar,	$69;	Back,		rawChar,	$27;		// 
	noBack,		Italian,	$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$69;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$22;	Back,		rawChar,	$69;		// 
	noBack,		Spanish,	$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$27;		// 
	noBack,		Italian,	$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$5E;		// 
	noBack,		Swedish,	$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$7E;		// 
	noBack,		rawChar,	$75;	Back,		rawChar,	$27;		// 
	noBack,		French,		$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$75;	Back,		rawChar,	$5E;		// 
	noBack,		German,		$7D;	noBack,		rawChar,	noChar;		// 
		
	// $A0 col
	noBack,		rawChar,	$2B;	Back,		rawChar,	$7C;		// 
	noBack,		rawChar,	$2A;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$63;	Back,		rawChar,	$7C;		// 
	noBack,		British,	$23;	noBack,		rawChar,	noChar;		// 
	noBack,		German,		$40;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$50;	noBack,		rawChar,	noChar;		// 
	noBack,		German,		$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$72;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$63;		// 
	noBack,		rawChar,	$74;	noBack,		rawChar,	$6D;		// 
	noBack,		rawChar,	$27;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3D;	Back,		rawChar,	$2F;		// 
	noBack,		Danish,		$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$5C;	noBack,		rawChar,	noChar;		// 
	
	// $B0 col
	noBack,		rawChar,	$4F;	Back,		rawChar,	$7C;		// 
	noBack,		rawChar,	$2B;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$3C;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$3E;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$59;	Back,		rawChar,	$3D;		// 
	noBack,		rawChar,	$75;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$40;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$DC;	Back,		rawChar,	$3E;		// 
	noBack,		rawChar,	$6E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2F;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$5A;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$7C;	noBack,		rawChar,	noChar;		// 

	// $C0 col
	noBack,		Spanish,	$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		Spanish,	$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$CC;	Back,		rawChar,	$DA;		// 
	noBack,		rawChar,	$C5;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$53;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$5E;	Back,		rawChar,	$2D;		// 
	noBack,		rawChar,	$C8;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$D5;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$C9;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$20;	noBack,		rawChar,	noChar;		// non-breaking space
	noBack,		rawChar,	$41;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$41;	Back,		rawChar,	$7E;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$7E;		// 
	noBack,		rawChar,	$4F;	noBack,		rawChar,	$45;		// 
	noBack,		rawChar,	$6F;	noBack,		rawChar,	$65;		// 
	
	// $D0 col
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$D3;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$27;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$60;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$DB;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$79;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$59;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$2F;	noBack,		rawChar,	noChar;		// /
	noBack,		rawChar,	$DD;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$66;	noBack,		rawChar,	$69;		// 
	noBack,		rawChar,	$66;	noBack,		rawChar,	$6C;		// 
	
	// $E0 col
	noBack,		rawChar,	$3D;	Back,		rawChar,	$7C;		// 
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$25;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$41;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$5E;		// 
	
	// $F0 col
	noBack,		rawChar,	$C0;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$55;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$55;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$55;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$69;	noBack,		rawChar,	noChar;		// i
	noBack,		rawChar,	$5E;	noBack,		rawChar,	noChar;		// ^
	noBack,		Danish,		$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$5E;	noBack,		rawChar,	noChar;		// 
	
	
	};
};

// This 'STR#' contains a list of all of the native mode fonts that are supported.  Note the fonts
// listed here MUST exist in the target system.

resource 'STR#' (kFormatModeFontsID, sysheap, purgeable) 
{
	{
		"Monaco"
	}
};


// This 'STR#' contains a list of all of the native mode styles that are supported (the indices into the
// list are well known so don't reorder them.

resource 'STR#' (kFormatModeStylesID, sysheap, purgeable) 
{
	{
		"Bold",			//	kBoldStyle
		"Underline"		//	kUnderlineStyle
	}
};

// This 'STR#' contains a list of all of the qualities that are supported.

resource 'STR#' (kNewQualityID, sysheap, purgeable) 
{
	{
		"Best",
		"Rough"
	}
};

/* ------------------------------------------------------------------------ */
/* RESOURCES FOR THE BNDL AND ICON */
/* ------------------------------------------------------------------------ */

type DriverCreator
	{
	pstring;
	};

resource 'BNDL' (gxPrintingDriverBaseID + 1, sysheap, purgeable) {
	DriverCreator,
	0,
	{
		'ICN#', { 0, gxPrintingDriverBaseID + 2; 1, gxPrintingDriverBaseID + 3; 2, gxPrintingDriverBaseID + 4; 3, gxPrintingDriverBaseID + 5; 4, gxPrintingDriverBaseID + 6; 5, gxPrintingDriverBaseID + 7; 6, gxPrintingDriverBaseID + 8},
		'FREF', { 0, gxPrintingDriverBaseID + 2; 1, gxPrintingDriverBaseID + 3; 2, gxPrintingDriverBaseID + 4; 3, gxPrintingDriverBaseID + 5; 4, gxPrintingDriverBaseID + 6; 5, gxPrintingDriverBaseID + 7; 6, gxPrintingDriverBaseID + 8; 0, gxPrintingDriverBaseID + 1}
	}
};

resource 'FREF' (gxPrintingDriverBaseID + 1, sysheap, purgeable) { DriverType, 0, "" };

resource 'FREF' (gxPrintingDriverBaseID + 2, sysheap, purgeable) { 'dpnn', 0, "" };
resource 'FREF' (gxPrintingDriverBaseID + 3, sysheap, purgeable) { 'dpns', 1, "" };
resource 'FREF' (gxPrintingDriverBaseID + 4, sysheap, purgeable) { 'dpcn', 2, "" };
resource 'FREF' (gxPrintingDriverBaseID + 5, sysheap, purgeable) { 'dpcs', 3, "" };
resource 'FREF' (gxPrintingDriverBaseID + 6, sysheap, purgeable) { 'dpna', 4, "" };
resource 'FREF' (gxPrintingDriverBaseID + 7, sysheap, purgeable) { 'dvcf', 4, "" };
resource 'FREF' (gxPrintingDriverBaseID + 8, sysheap, purgeable) { 'dppz', 5, "" };

/* driver icons */
// non-current, non-shared
data 'ics#' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"3FF8 2008 2828 2388 2828 2188 2828 2388"            /* ?. .((#((!((# */
	$"2828 FFFE A00B BFFB 8003 FFFF 8002 FFFE"            /* ((.......... */
	$"3FF8 3FF8 3FF8 3FF8 3FF8 3FF8 3FF8 3FF8"            /* ?.?.?.?.?.?.?.?. */
	$"3FF8 FFFE FFFF FFFF FFFF FFFF FFFE FFFE"            /* ?............... */
};

data 'ics4' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"00FF FFFF FFFF F000 00FC 0C0C 0C0C F000"            /* ................ */
	$"00F0 E0C0 C0E0 F000 00FC 0CFF FC0C F000"            /* .............. */
	$"00F0 E0C0 C0E0 F000 00FC 0C0F FC0C F000"            /* .............. */
	$"00F0 E0C0 C0E0 F000 00FC 0CFF FC0C F000"            /* .............. */
	$"00F0 E0C0 C0E0 F000 EFFF FFFF FFFF FFE0"            /* .............. */
	$"FCEC CCCC CCCC ECFF FCEE EEEE EEEE ECFF"            /* ............ */
	$"FC8C CCCC CCCC CCFF FD3D DDDD DDDD DDFF"            /* ...=...... */
	$"FCCC CCCC CCCC CCF0 EFFF FFFF FFFF FFE0"            /* .......... */
};

data 'ics8' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FF00 0000"            /* ................ */
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 FF00 0000"            /* ................ */
	$"0000 FFF5 FCF5 F5F5 F5F5 FCF5 FF00 0000"            /* ................ */
	$"0000 FFF5 F5F5 FFFF FFF5 00F5 FF00 0000"            /* ................ */
	$"0000 FFF5 FCF5 F5F5 F5F5 FCF5 FF00 0000"            /* ................ */
	$"0000 FFF5 F5F5 F5FF FFF5 00F5 FF00 0000"            /* ................ */
	$"0000 FFF5 FCF5 F5F5 F5F5 FCF5 FF00 0000"            /* ................ */
	$"0000 FFF5 F5F5 FFFF FFF5 F5F5 FF00 0000"            /* ................ */
	$"0000 FFF5 FCF5 F5F5 F5F5 FCF5 FF00 0000"            /* ................ */
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC00"            /* ................ */
	$"FF2B FC2B 2B2B 2B2B 2B2B 2B2B FC2B FFFF"            /* .+.+++++++++.+.. */
	$"FF2B FCFC FCFC FCFC FCFC FCFC FC2B FFFF"            /* .+...........+.. */
	$"FF2B E32B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF"            /* .+.+++++++++++.. */
	$"FFF9 D8F9 F9F9 F9F9 F9F9 F9F9 F9F9 FFFF"            /* ............... */
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00"            /* .+++++++++++++.. */
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC00"            /* ................ */
};

data 'ICN#' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"0000 0000 0000 0000 07FF FF00 0400 0100"            /* ................ */
	$"0500 0500 0400 0100 0516 C500 0400 0100"            /* ............... */
	$"051B 4500 0400 0100 051D C500 0400 0100"            /* ..E............ */
	$"051F 4500 0400 0100 051D C500 0400 0100"            /* ..E............ */
	$"0500 0500 0400 0100 FFFF FFFF 9000 0049"            /* ..............I */
	$"FFFF FFF9 9000 0049 9FFF FFC9 8000 0009"            /* ......I..ɀ.. */
	$"FFFF FFF9 8000 000F 9800 0008 9800 0008"            /* ............. */
	$"8000 0008 FFFF FFF8 0000 0000 0000 0000"            /* ............... */
	$"0000 0000 0000 0000 07FF FF00 07FF FF00"            /* ................ */
	$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"            /* ................ */
	$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"            /* ................ */
	$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"            /* ................ */
	$"07FF FF00 07FF FF00 FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFF8 FFFF FFF8"            /* ................ */
	$"FFFF FFF8 FFFF FFF8 0000 0000 0000 0000"            /* ................ */
};

data 'icl4' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0FFF FFFF FFFF FFFF FFFF 0000 0000"            /* ................ */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0C0 C0C0 C0C0 CECF 0000 0000"            /* ....... */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0CF CFF0 FFC0 CECF 0000 0000"            /* ......... */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0CF F0FF CFC0 CECF 0000 0000"            /* ......... */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0CF FFCF FFC0 CECF 0000 0000"            /* ......... */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0CF FFFF CFC0 CECF 0000 0000"            /* ......... */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0CF FFCF FFC0 CECF 0000 0000"            /* ......... */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0C0 C0C0 C0C0 CECF 0000 0000"            /* ....... */
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"            /* ................ */
	$"EFFF FFFF FFFF FFFF FFFF FFFF FFFF EFFE"            /* ................ */
	$"FCCE CCCC CCCC CCCC CCCC CCCC CECC FDDF"            /* ... */
	$"FDDE DDDD DDDD DDDD DDDD DDDD DEDD FC0F"            /* ................ */
	$"FCCE CCCC CCCC CCCC CCCC CCCC CECC FDCF"            /* .. */
	$"FCCE EEEE EEEE EEEE EEEE EEEE EECC FEDF"            /* .............. */
	$"FCCC CCCC CCCC CCCC CCCC CCCC CCCC FEEF"            /* ... */
	$"FDDD DDDD DDDD DDDD DDDD DDDD DDDD FFEF"            /* ................ */
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C FFFE"            /* ................ */
	$"FCC8 8CCC CCCC CCCC CCCC CCCC CCCC F000"            /* .Ȍ.. */
	$"FCC3 3CCC CCCC CCCC CCCC CCCC CCCC F000"            /* .<.. */
	$"FCCC CCCC CCCC CCCC CCCC CCCC CCCC F000"            /* ... */
	$"EFFF FFFF FFFF FFFF FFFF FFFF FFFF E000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

data 'icl8' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5FF F5FF FFF5"            /* ................ */
	$"FFFF F5F5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5FF FFF5 FFFF"            /* ................ */
	$"F5FF F5F5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5FF FFFF F5FF"            /* ................ */
	$"FFFF F5F5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5FF FFFF FFFF"            /* ................ */
	$"F5FF F5F5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5FF FFFF F5FF"            /* ................ */
	$"FFFF F5F5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"FBFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FBFF FFFB"            /* ................ */
	$"FF2B 2BFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .++.++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFF9 F9FF"            /* +++++++++.++.... */
	$"FFF9 F9FC F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9FC F9F9 FFF8 F5FF"            /* ................ */
	$"FF2B 2BFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .++.++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFF9 2BFF"            /* +++++++++.++..+. */
	$"FF2B 2BFC FCFC FCFC FCFC FCFC FCFC FCFC"            /* .++............. */
	$"FCFC FCFC FCFC FCFC FCFC 2B2B FFFB F9FF"            /* ..........++.... */
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .+++++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFD FBFF"            /* ++++++++++++.... */
	$"FFF9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 FFFE FDFF"            /* ................ */
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFB"            /* ................ */
	$"FF2B 2BE3 E32B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .++..+++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000"            /* ++++++++++++.... */
	$"FF2B 2BD8 D82B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .+++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000"            /* ++++++++++++.... */
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .+++++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000"            /* ++++++++++++.... */
	$"FBFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FB00 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

// non-current, shared
data 'ICN#' (gxPrintingDriverBaseID + 3, sysheap, purgeable) {
	$"0000 0000 00FF FF80 0080 0080 0080 0080"            /* ........... */
	$"00A5 B280 0080 0080 00A6 D280 0080 0080"            /* ....Ҁ.. */
	$"00A7 D280 0080 0080 00A7 7280 0080 0080"            /* .Ҁ...r.. */
	$"1FFF FFFF 1200 0025 1E00 003D 13FF FFE5"            /* .......%...=.... */
	$"1000 0005 1FFF FFFD 1000 0007 1300 0204"            /* ................ */
	$"1000 0284 1FFF FEFC 0000 0280 0000 07C0"            /* ............. */
	$"0000 0440 0000 0440 0000 07C0 0000 0540"            /* ...@...@......@ */
	$"BFFF F93D 0000 0280 BFFF FC7D 0000 0000"            /* ..=.....}.... */
	$"0000 0000 00FF FF80 00FF FF80 00FF FF80"            /* ............. */
	$"00FF FF80 00FF FF80 00FF FF80 00FF FF80"            /* ............ */
	$"00FF FF80 00FF FF80 00FF FF80 00FF FF80"            /* ............ */
	$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"            /* ................ */
	$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFC"            /* ................ */
	$"1FFF FFFC 1FFF FFFC 0000 0380 0000 07C0"            /* .............. */
	$"0000 07C0 0000 07C0 0000 07C0 0000 07C0"            /* ............ */
	$"FFFF FFFF FFFF FEFF FFFF FC7F 0000 0000"            /* ................ */
};

data 'icl4' (gxPrintingDriverBaseID + 3, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 FFFF FFFF FFFF FFFF F000 0000"            /* ................ */
	$"0000 0000 F000 0000 0000 0000 F000 0000"            /* ................ */
	$"0000 0000 F000 0000 0000 0000 F000 0000"            /* ................ */
	$"0000 0000 F0E0 0F0F F0FF 00E0 F000 0000"            /* ................ */
	$"0000 0000 F000 0000 0000 0000 F000 0000"            /* ................ */
	$"0000 0000 F0E0 0FF0 FF0F 00E0 F000 0000"            /* ................ */
	$"0000 0000 F000 0000 0000 0000 F000 0000"            /* ................ */
	$"0000 0000 F0E0 0FFF FF0F 00E0 F000 0000"            /* ................ */
	$"0000 0000 F000 0000 0000 0000 F000 0000"            /* ................ */
	$"0000 0000 F0E0 0FFF 0FFF 00E0 F000 0000"            /* ................ */
	$"0000 0000 F000 0000 0000 0000 F000 0000"            /* ................ */
	$"000E FFFF FFFF FFFF FFFF FFFF FFFF FEFE"            /* ................ */
	$"000F CCEC CCCC CCCC CCCC CCCC CCEC CFDF"            /* ..... */
	$"000F DDED DDDD DDDD DDDD DDDD DDED DF0F"            /* ................ */
	$"000F CCEE EEEE EEEE EEEE EEEE EEEC CFDF"            /* .............. */
	$"000F CCCC CCCC CCCC CCCC CCCC CCCC CFEF"            /* ... */
	$"000F DDDD DDDD DDDD DDDD DDDD DDDD DFAF"            /* ............... */
	$"000F 0088 0000 0000 0000 0000 0000 0FFE"            /* ............... */
	$"000F CC33 CCCC CCCC CCCC CCDC DCCC CF00"            /* ..3... */
	$"000F CCCC CCCC CCCC CCCC CCEC ECCC CF00"            /* ..... */
	$"000E FFFF FFFF FFFF FFFF FFFC EFFF FE00"            /* ................ */
	$"0000 0000 0000 0000 0000 00FC F000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"            /* .............. */
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"            /* .............. */
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0FCF CF00 0000"            /* .............. */
	$"CCCC CCCC CDDD DDDE EEEE ECCF CCFF EEDD"            /* ......... */
	$"0000 0CCC CCCC CCCC CCCC CCF0 FCCC CCCC"            /* ..... */
	$"CCCC DDDD DDEE EEEE FFFF FF00 0FFF FEED"            /* .............. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

data 'icl8' (gxPrintingDriverBaseID + 3, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 FBF5 F5FF F5FF"            /* ................ */
	$"FFF5 FFFF F5F5 FBF5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 FBF5 F5FF FFF5"            /* ................ */
	$"FFFF F5FF F5F5 FBF5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 FBF5 F5FF FFFF"            /* ................ */
	$"FFFF F5FF F5F5 FBF5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 FBF5 F5FF FFFF"            /* ................ */
	$"F5FF FFFF F5F5 FBF5 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"            /* ................ */
	$"0000 00FB FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFB FFFB"            /* ................ */
	$"0000 00FF 2B2B FC2B 2B2B 2B2B 2B2B 2B2B"            /* ....++.+++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B FC2B 2BFF F9FF"            /* ++++++++++.++... */
	$"0000 00FF F9F9 FCF9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9F9 FCF9 F9FF F5FF"            /* ................ */
	$"0000 00FF 2B2B FCFC FCFC FCFC FCFC FCFC"            /* ....++.......... */
	$"FCFC FCFC FCFC FCFC FCFC FC2B 2BFF F9FF"            /* ...........++... */
	$"0000 00FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BFF FBFF"            /* +++++++++++++... */
	$"0000 00FF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9FF FDFF"            /* ................ */
	$"0000 00FF F5F5 E3E3 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FFFB"            /* ................ */
	$"0000 00FF 2B2B D8D8 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++ */
	$"2B2B 2B2B 2B2B FA2B FA2B 2B2B 2BFF 0000"            /* ++++++.+.++++... */
	$"0000 00FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++++ */
	$"2B2B 2B2B 2B2B FC2B FC2B 2B2B 2BFF 0000"            /* ++++++.+.++++... */
	$"0000 00FB FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FC2B FDFF FFFF FFFB 0000"            /* .......+........ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FC2B FD00 0000 0000 0000"            /* .......+........ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"            /* ......+++....... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"            /* ......+++....... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF 2BFE 2BFD 0000 0000 0000"            /* ......+.+....... */
	$"F6F6 F6F7 F7F7 F8F8 F8F9 F9F9 FAFA FAFB"            /* ................ */
	$"FBFB FCFC FC2B 2BFE 2B2B FDFD FCFC FAFA"            /* .....++.++...... */
	$"F5F5 F5F5 F5F6 F6F6 F6F6 F6F6 2B2B 2B2B"            /* ............++++ */
	$"2B2B 2B2B 2B2B FE00 FE2B 2B2B 2B2B 2B2B"            /* ++++++...+++++++ */
	$"F8F8 F8F8 F9F9 F9FA FAFA FBFB FBFC FCFC"            /* ................ */
	$"FDFD FDFE FEFE 0000 00FE FEFD FDFC FCFA"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

// current, non-shared
data 'ICN#' (gxPrintingDriverBaseID + 4, sysheap, purgeable) {
	$"0000 0000 0FFF FF80 1FFF FFC0 1FFF FFC0"            /* ............. */
	$"1C00 01C0 1D00 05C0 1C00 01C0 1D16 C5C0"            /* ........... */
	$"1C00 01C0 1D1B 45C0 1C00 01C0 1D1D C5C0"            /* .....E..... */
	$"1C00 01C0 1D1F 45C0 1C00 01C0 1D1D C5C0"            /* .....E..... */
	$"1C00 01C0 7D00 05FE FC00 01FF FFFF FFFF"            /* ...}........... */
	$"F000 004F F000 004F F000 004F FFFF FFCF"            /* ...O...O...O... */
	$"E000 000F E000 000F E000 000F F800 000E"            /* ................ */
	$"F800 000E FFFF FFFE FFFF FFFE 7FFF FFFC"            /* ................ */
	$"0000 0000 0FFF FF80 1FFF FFC0 1FFF FFC0"            /* ............. */
	$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"            /* ............ */
	$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"            /* ............ */
	$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"            /* ............ */
	$"1FFF FFC0 7FFF FFFE FFFF FFFF FFFF FFFF"            /* ............... */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFE"            /* ................ */
	$"FFFF FFFE FFFF FFFE FFFF FFFE 7FFF FFFC"            /* ................ */
};

data 'icl4' (gxPrintingDriverBaseID + 4, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 FFFF FFFF FFFF FFFF FFFF F000 0000"            /* ................ */
	$"000F FFFF FFFF FFFF FFFF FFFF FF00 0000"            /* ................ */
	$"000F FFFF FFFF FFFF FFFF FFFF FF00 0000"            /* ................ */
	$"000F FF00 0000 0000 0000 000F FF00 0000"            /* ................ */
	$"000F FF0E 0000 0000 0000 0E0F FF00 0000"            /* ................ */
	$"000F FF00 0000 0000 0000 000F FF00 0000"            /* ................ */
	$"000F FF0E 000F 0FF0 FF00 0E0F FF00 0000"            /* ................ */
	$"000F FF00 0000 0000 0000 000F FF00 0000"            /* ................ */
	$"000F FF0E 000F F0FF 0F00 0E0F FF00 0000"            /* ................ */
	$"000F FF00 0000 0000 0000 000F FF00 0000"            /* ................ */
	$"000F FF0E 000F FF0F FF00 0E0F FF00 0000"            /* ................ */
	$"000F FF00 0000 0000 0000 000F FF00 0000"            /* ................ */
	$"000F FF0E 000F FFFF 0F00 0E0F FF00 0000"            /* ................ */
	$"000F FF00 0000 0000 0000 000F FF00 0000"            /* ................ */
	$"000F FF0E 000F FF0F FF00 0E0F FF00 0000"            /* ................ */
	$"000F FF00 0000 0000 0000 000F FF00 0000"            /* ................ */
	$"0FFF FF0E 0000 0000 0000 0E0F FFFF FFF0"            /* ................ */
	$"FFFF FF00 0000 0000 0000 000F FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFE CCCC CCCC CCCC CCCC CCCC CECC FFFF"            /* .... */
	$"FFFE DDDD DDDD DDDD DDDD DDDD DEDD FFFF"            /* ................ */
	$"FFFE CCCC CCCC CCCC CCCC CCCC CECC FFFF"            /* .... */
	$"FFFE EEEE EEEE EEEE EEEE EEEE EECC FFFF"            /* ............... */
	$"FFFC CCCC CCCC CCCC CCCC CCCC CCCC FFFF"            /* .... */
	$"FFFD DDDD DDDD DDDD DDDD DDDD DDDD FFFF"            /* ................ */
	$"FFF0 0000 0000 0000 0000 0000 0000 FFFF"            /* ................ */
	$"FFF8 8CCC CCCC CCCC CCCC CCCC CCCC FFF0"            /* .... */
	$"FFF3 3CCC CCCC CCCC CCCC CCCC CCCC FFF0"            /* ..<.. */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"            /* ................ */
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
};

data 'icl8' (gxPrintingDriverBaseID + 4, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FF00 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5FB F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5FB F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5FB F5F5 F5FF F5FF FFF5"            /* ................ */
	$"FFFF F5F5 F5FB F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5FB F5F5 F5FF FFF5 FFFF"            /* ................ */
	$"F5FF F5F5 F5FB F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5FB F5F5 F5FF FFFF F5FF"            /* ................ */
	$"FFFF F5F5 F5FB F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5FB F5F5 F5FF FFFF FFFF"            /* ................ */
	$"F5FF F5F5 F5FB F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5FB F5F5 F5FF FFFF F5FF"            /* ................ */
	$"FFFF F5F5 F5FB F5FF FFFF 0000 0000 0000"            /* ................ */
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"            /* ................ */
	$"00FF FFFF FFFF F5FB F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5FB F5FF FFFF FFFF FFFF FF00"            /* ................ */
	$"FFFF FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFFF FFFF"            /* +++++++++.++.... */
	$"FFFF FFFC F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9FC F9F9 FFFF FFFF"            /* ................ */
	$"FFFF FFFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFFF FFFF"            /* +++++++++.++.... */
	$"FFFF FFFC FCFC FCFC FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FCFC FCFC FCFC 2B2B FFFF FFFF"            /* ..........++.... */
	$"FFFF FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ...+++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF FFFF"            /* ++++++++++++.... */
	$"FFFF FFF9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 FFFF FFFF"            /* ................ */
	$"FFFF FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF"            /* ................ */
	$"FFFF FFE3 E32B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .....+++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF FF00"            /* ++++++++++++.... */
	$"FFFF FFD8 D82B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ...+++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF FF00"            /* ++++++++++++.... */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"            /* ................ */
};

// current, shared
data 'ICN#' (gxPrintingDriverBaseID + 5, sysheap, purgeable) {
	$"01FF FFC0 03FF FFE0 03FF FFE0 0380 00E0"            /* .............. */
	$"03A5 B2E0 0380 00E0 03A6 D2E0 0380 00E0"            /* .......... */
	$"03A7 D2E0 0380 00E0 3FA7 72FE 7F80 00FF"            /* .....?r.... */
	$"7FFF FFFF 7200 0025 7200 0025 73FF FFE5"            /* ....r..%r..%s... */
	$"7000 0007 7000 0007 7300 000F 7300 028E"            /* p...p...s...s.. */
	$"7FFF FEFE 7FFF FEFE 3FFF FEFC 0000 07C0"            /* ........?...... */
	$"0000 0440 0000 0440 0000 07C0 0000 0540"            /* ...@...@......@ */
	$"BFFF F93D 0000 0280 BFFF FC7D 0000 0000"            /* ..=.....}.... */
	$"01FF FFC0 03FF FFE0 03FF FFE0 03FF FFE0"            /* ............... */
	$"03FF FFE0 03FF FFE0 03FF FFE0 03FF FFE0"            /* ................ */
	$"03FF FFE0 03FF FFE0 3FFF FFFE 7FFF FFFF"            /* ........?....... */
	$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"            /* ................ */
	$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFE"            /* ................ */
	$"7FFF FFFE 7FFF FFFE 3FFF FFFC 0000 07C0"            /* ........?...... */
	$"0000 07C0 0000 07C0 0000 07C0 0000 07C0"            /* ............ */
	$"FFFF FFFF FFFF FEFF FFFF FC7F 0000 0000"            /* ................ */
};

data 'icl4' (gxPrintingDriverBaseID + 5, sysheap, purgeable) {
	$"0000 000F FFFF FFFF FFFF FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF FFFF FFFF FFFF FFF0 0000"            /* ................ */
	$"0000 00FF FFFF FFFF FFFF FFFF FFF0 0000"            /* ................ */
	$"0000 00FF F000 0000 0000 0000 FFF0 0000"            /* ................ */
	$"0000 00FF F0E0 0F0F F0FF 00E0 FFF0 0000"            /* ................ */
	$"0000 00FF F000 0000 0000 0000 FFF0 0000"            /* ................ */
	$"0000 00FF F0E0 0FF0 FF0F 00E0 FFF0 0000"            /* ................ */
	$"0000 00FF F000 0000 0000 0000 FFF0 0000"            /* ................ */
	$"0000 00FF F0E0 0FFF FF0F 00E0 FFF0 0000"            /* ................ */
	$"0000 00FF F000 0000 0000 0000 FFF0 0000"            /* ................ */
	$"00FF FFFF F0E0 0FFF 0FFF 00E0 FFFF FFF0"            /* ................ */
	$"0FFF FFFF F000 0000 0000 0000 FFFF FFFF"            /* ................ */
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"0FFF CCEC CCCC CCCC CCCC CCCC CCEC CFDF"            /* ..... */
	$"0FFF DDED DDDD DDDD DDDD DDDD DDED DF0F"            /* ................ */
	$"0FFF CCEE EEEE EEEE EEEE EEEE EEEC CFDF"            /* .............. */
	$"0FFF CCCC CCCC CCCC CCCC CCCC CCCC CFEF"            /* ... */
	$"0FFF DDDD DDDD DDDD DDDD DDDD DDDD DFAF"            /* ............... */
	$"0FFF 0088 0000 0000 0000 0000 0000 FFFF"            /* ............... */
	$"0FFF CC33 CCCC CCCC CCCC CCDC DCCC FFF0"            /* ..3.... */
	$"0FFF FFFF FFFF FFFF FFFF FFEC EFFF FFF0"            /* ................ */
	$"0FFF FFFF FFFF FFFF FFFF FFEC FFFF FFF0"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FFEC FFFF FF00"            /* ................ */
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"            /* .............. */
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"            /* .............. */
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0FCF CA00 0000"            /* .............. */
	$"CCCC CCCC CDDD DDDE EEEE ECCF CCAA EEDD"            /* ......̪.. */
	$"0000 0CCC CCCC CCCC CCCC CCF0 FCCC CCCC"            /* ..... */
	$"CCCC DDDD DDEE EEEE AAAF FF00 0FFA AEED"            /* ........... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

data 'icl8' (gxPrintingDriverBaseID + 5, sysheap, purgeable) {
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFF5 FBF5 F5FF F5FF"            /* ................ */
	$"FFF5 FFFF F5F5 FBF5 FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFF5 FBF5 F5FF FFF5"            /* ................ */
	$"FFFF F5FF F5F5 FBF5 FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFF5 FBF5 F5FF FFFF"            /* ................ */
	$"FFFF F5FF F5F5 FBF5 FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FFFF FF00 0000 0000"            /* ................ */
	$"0000 FFFF FFFF FFFF FFF5 FBF5 F5FF FFFF"            /* ................ */
	$"F5FF FFFF F5F5 FBF5 FFFF FFFF FFFF FF00"            /* ................ */
	$"00FF FFFF FFFF FFFF FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 FFFF FFFF FFFF FFFF"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"00FF FFFF 2B2B FC2B 2B2B 2B2B 2B2B 2B2B"            /* ....++.+++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B FC2B 2BFF F9FF"            /* ++++++++++.++... */
	$"00FF FFFF F9F9 FCF9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9F9 FCF9 F9FF F5FF"            /* ................ */
	$"00FF FFFF 2B2B FCFC FCFC FCFC FCFC FCFC"            /* ....++.......... */
	$"FCFC FCFC FCFC FCFC FCFC FC2B 2BFF F9FF"            /* ...........++... */
	$"00FF FFFF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BFF FBFF"            /* +++++++++++++... */
	$"00FF FFFF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9FF FDFF"            /* ................ */
	$"00FF FFFF F5F5 E3E3 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF"            /* ................ */
	$"00FF FFFF 2B2B D8D8 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++ */
	$"2B2B 2B2B 2B2B FA2B FA2B 2B2B FFFF FF00"            /* ++++++.+.+++.... */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FC2B FCFF FFFF FFFF FF00"            /* .......+........ */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FC2B FFFF FFFF FFFF FF00"            /* .......+........ */
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FC2B FFFF FFFF FFFF 0000"            /* .......+........ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"            /* ......+++....... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"            /* ......+++....... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF 2BFE 2BFD 0000 0000 0000"            /* ......+.+....... */
	$"F6F6 F6F7 F7F7 F8F8 F8F9 F9F9 FAFA FAFB"            /* ................ */
	$"FBFB FCFC FC2B 2BFE 2B2B FDFD FCFC FAFA"            /* .....++.++...... */
	$"F5F5 F5F5 F5F6 F6F6 F6F6 F6F6 2B2B 2B2B"            /* ............++++ */
	$"2B2B 2B2B 2B2B FE00 FE2B 2B2B 2B2B 2B2B"            /* ++++++...+++++++ */
	$"F8F8 F8F8 F9F9 F9FA FAFA FBFB FBFC FCFC"            /* ................ */
	$"FDFD FDFE FEFE 0000 00FE FEFD FDFC FCFA"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

// not active
data 'ICN#' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"6000 0006 F000 000F FFFF FF1F 7C00 013E"            /* `...........|..> */
	$"3F00 057C 1F00 01F8 0F96 C5F0 07C0 03E0"            /* ?..|......... */
	$"07FB 47C0 05F0 0F80 05FD DF00 047C 3F00"            /* ..G........|?. */
	$"053F 7D00 041F F900 051F F500 0407 E100"            /* .?}............. */
	$"0507 E500 040F F100 FFFF FFFF 903E 7C49"            /* ............>|I */
	$"FFFF FFF9 90F8 1F49 9FFF FFC9 83E0 07C9"            /* ......I..Ƀ.. */
	$"FFFF FFF9 8F80 01FF 9F00 00F8 BE00 007C"            /* ...........| */
	$"7C00 003E FFFF FFFF F000 000F 6000 0006"            /* |..>........`... */
	$"6000 0006 F000 000F FFFF FF1F 7FFF FF3E"            /* `..............> */
	$"3FFF FF7C 1FFF FFF8 0FFF FFF0 07FF FFE0"            /* ?..|............ */
	$"07FF FFC0 07FF FF80 07FF FF00 07FF FF00"            /* .............. */
	$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"            /* ................ */
	$"07FF FF00 07FF FF00 FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFF8 FFFF FFFC"            /* ................ */
	$"7FFF FFFE FFFF FFFF F000 000F 6000 0006"            /* ............`... */
};

data 'icl8' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"00FF FF00 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 00FF FF00"            /* ................ */
	$"FFFF FFFF 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF 0000 00FF FFFF FFFF"            /* ................ */
	$"00FF FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF 0000 FFFF FFFF FF00"            /* ................ */
	$"0000 FFFF FFFF FFFB F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5FB F5FF 00FF FFFF FFFF 0000"            /* ................ */
	$"0000 00FF FFFF FFFF F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF FFFF FF00 0000"            /* ................ */
	$"0000 0000 FFFF FFFF FFF5 F5FF F5FF FFF5"            /* ................ */
	$"FFFF F5F5 F5FB F5FF FFFF FFFF 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 FFFF FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF FFFF FFF5 FFFF"            /* ................ */
	$"F5FF F5F5 F5FF FFFF FFFF 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FF FFFF FFFF F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 FFFF FFFF FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB FFFF FFFF FFFF F5FF"            /* ................ */
	$"FFFF F5FF FFFF FFFF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5FF FFFF FFFF F5F5"            /* ................ */
	$"F5F5 FFFF FFFF FFFF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 FFFF FFFF FFFF"            /* ................ */
	$"F5FF FFFF FFFF F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5FF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFF5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5FF FFFF FFFF"            /* ................ */
	$"FFFF FFFF F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5FF FFFF"            /* ................ */
	$"FFFF FFF5 F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5FB F5F5 F5F5 F5FF FFFF"            /* ................ */
	$"FFFF FFF5 F5FB F5FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 00FF F5F5 F5F5 F5F5 FFFF FFFF"            /* ................ */
	$"FFFF FFFF F5F5 F5FF 0000 0000 0000 0000"            /* ................ */
	$"FBFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FBFF FFFB"            /* ................ */
	$"FF2B 2BFC 2B2B 2B2B 2B2B FFFF FFFF FF2B"            /* .++.++++++.....+ */
	$"2BFF FFFF FFFF 2B2B 2BFC 2B2B FFF9 F9FF"            /* +.....+++.++.... */
	$"FFF9 F9FC F9F9 F9F9 F9FF FFFF FFFF F9F9"            /* ................ */
	$"F9F9 FFFF FFFF FFF9 F9FC F9F9 FFF8 F5FF"            /* ................ */
	$"FF2B 2BFC 2B2B 2B2B FFFF FFFF FF2B 2B2B"            /* .++.++++.....+++ */
	$"2B2B 2BFF FFFF FFFF 2BFC 2B2B FFF9 2BFF"            /* +++.....+.++..+. */
	$"FF2B 2BFC FCFC FCFF FFFF FFFF FCFC FCFC"            /* .++............. */
	$"FCFC FCFC FFFF FFFF FFFC 2B2B FFFB F9FF"            /* ..........++.... */
	$"FF2B 2B2B 2B2B FFFF FFFF FF2B 2B2B 2B2B"            /* .+++++.....+++++ */
	$"2B2B 2B2B 2BFF FFFF FFFF 2B2B FFFD FBFF"            /* +++++.....++.... */
	$"FFF9 F9F9 F9FF FFFF FFFF F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 FFFF FFFF FFF9 FFFE FDFF"            /* ................ */
	$"FFF5 F5F5 FFFF FFFF FFF5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF FFFF FFFF FFFF FFFB"            /* ................ */
	$"FF2B 2BFF FFFF FFFF 2B2B 2B2B 2B2B 2B2B"            /* .++.....++++++++ */
	$"2B2B 2B2B 2B2B 2B2B FFFF FFFF FF00 0000"            /* ++++++++........ */
	$"FF2B FFFF FFFF FF2B 2B2B 2B2B 2B2B 2B2B"            /* .+.....+++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFF FFFF FFFF 0000"            /* +++++++++....... */
	$"00FF FFFF FFFF 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ......++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B FFFF FFFF FF00"            /* ++++++++++...... */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 FFFF FFFF"            /* ................ */
	$"00FF FF00 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 00FF FF00"            /* ................ */
};

data 'icl4' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"0FF0 0000 0000 0000 0000 0000 0000 0FF0"            /* ................ */
	$"FFFF 0000 0000 0000 0000 0000 0000 FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF 000F FFFF"            /* ................ */
	$"0FFF FF0C 0C0C 0C0C 0C0C 0C0F 00FF FFF0"            /* ................ */
	$"00FF FFFE C0C0 C0C0 C0C0 CECF 0FFF FF00"            /* ........ */
	$"000F FFFF 0C0C 0C0C 0C0C 0C0F FFFF F000"            /* ................ */
	$"0000 FFFF F0CF CFF0 FFC0 CECF FFFF 0000"            /* ........... */
	$"0000 0FFF FF0C 0C0C 0C0C 0CFF FFF0 0000"            /* ................ */
	$"0000 0FFF FFFF F0FF CFC0 CFFF FF00 0000"            /* ............. */
	$"0000 0F0F FFFF 0C0C 0C0C FFFF F000 0000"            /* ................ */
	$"0000 0FCE FFFF FFCF FFCF FFFF 0000 0000"            /* ............. */
	$"0000 0F0C 0FFF FF0C 0CFF FFFF 0000 0000"            /* ................ */
	$"0000 0FCE C0FF FFFF CFFF FFCF 0000 0000"            /* ............ */
	$"0000 0F0C 0C0F FFFF FFFF FC0F 0000 0000"            /* ................ */
	$"0000 0FCE C0CF FFFF FFFF CECF 0000 0000"            /* ........... */
	$"0000 0F0C 0C0C 0FFF FFFC 0C0F 0000 0000"            /* ................ */
	$"0000 0FCE C0C0 CFFF FFF0 CECF 0000 0000"            /* .......... */
	$"0000 0F0C 0C0C FFFF FFFF 0C0F 0000 0000"            /* ................ */
	$"EFFF FFFF FFFF FFFF FFFF FFFF FFFF EFFE"            /* ................ */
	$"FCCE CCCC CCFF FFFC CFFF FFCC CECC FDDF"            /* ........ */
	$"FDDE DDDD DFFF FFDD DDFF FFFD DEDD FC0F"            /* ................ */
	$"FCCE CCCC FFFF FCCC CCCF FFFF CECC FDCF"            /* ....... */
	$"FCCE EEEF FFFF EEEE EEEE FFFF FECC FEDF"            /* .............. */
	$"FCCC CCFF FFFC CCCC CCCC CFFF FFCC FEEF"            /* ........ */
	$"FDDD DFFF FFDD DDDD DDDD DDFF FFFD FFEF"            /* ................ */
	$"FC0C FFFF FC0C 0C0C 0C0C 0C0F FFFF FFFE"            /* ................ */
	$"FCCF FFFF CCCC CCCC CCCC CCCC FFFF F000"            /* ....... */
	$"FCFF FFFC CCCC CCCC CCCC CCCC CFFF FF00"            /* ....... */
	$"0FFF FFCC CCCC CCCC CCCC CCCC CCFF FFF0"            /* ...... */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF 0000 0000 0000 0000 0000 0000 FFFF"            /* ................ */
	$"0FF0 0000 0000 0000 0000 0000 0000 0FF0"            /* ................ */
};

data 'ics#' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"5FFA E00F 782E 3B9C 3C38 2FF8 2FE8 23C8"            /* _...x.;<8/./.# */
	$"2BE8 FFFE AE7B BFFB B81F 7FFE E007 5FFA"            /* +...{......_. */
	$"5FFA FFFF 7FFE 3FFC 3FF8 3FF8 3FF8 3FF8"            /* _.....?.?.?.?.?. */
	$"3FF8 FFFE FFFF FFFF FFFF 7FFE FFFF 5FFA"            /* ?............._. */
};

data 'ics8' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"00FF 00FF FFFF FFFF FFFF FFFF FF00 FF00"            /* ................ */
	$"FFFF FFF5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF"            /* ................ */
	$"00FF FFFF FCF5 F5F5 F5F5 FCF5 FFFF FF00"            /* ................ */
	$"0000 FFFF FFF5 FFFF FFF5 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FFFF F5F5 F5F5 FFFF FF00 0000"            /* ................ */
	$"0000 FFF5 FFFF FFFF FFFF FFFF FF00 0000"            /* ................ */
	$"0000 FFF5 FCFF FFFF FFFF FFF5 FF00 0000"            /* ................ */
	$"0000 FFF5 F5F5 FFFF FFFF F5F5 FF00 0000"            /* ................ */
	$"0000 FFF5 FCF5 FFFF FFFF FCF5 FF00 0000"            /* ................ */
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC00"            /* ................ */
	$"FF2B FC2B FFFF FF2B 2BFF FFFF FC2B FFFF"            /* .+.+...++....+.. */
	$"FF2B FCFF FFFF FCFC FCFC FFFF FF2B FFFF"            /* .+...........+.. */
	$"FF2B FFFF FF2B 2B2B 2B2B 2BFF FFFF FFFF"            /* .+...++++++..... */
	$"00FF FFFF F9F9 F9F9 F9F9 F9F9 FFFF FF00"            /* ................ */
	$"FFFF FF2B 2B2B 2B2B 2B2B 2B2B 2BFF FFFF"            /* ...++++++++++... */
	$"00FF 00FF FFFF FFFF FFFF FFFF FF00 FF00"            /* ................ */
};

data 'ics4' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"0F0F FFFF FFFF F0F0 FFFC 0C0C 0C0C FFFF"            /* ................ */
	$"0FFF E0C0 C0E0 FFF0 00FF FCFF FC0F FF00"            /* .............. */
	$"00FF FFC0 C0FF F000 00FC FFFF FFFF F000"            /* .............. */
	$"00F0 EFFF FFF0 F000 00FC 0CFF FF0C F000"            /* ................ */
	$"00F0 E0FF FFE0 F000 EFFF FFFF FFFF FFE0"            /* ................ */
	$"FCEC FFFC CFFF ECFF FCEF FFEE EEFF FCFF"            /* ............... */
	$"FCFF FCCC CCCF FFFF 0FFF DDDD DDDD FFF0"            /* ............. */
	$"FFFC CCCC CCCC CFFF 0F0F FFFF FFFF F0F0"            /* ........... */
};

// puzzle
data 'ICN#' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"00FF FF00 0100 0080 0080 0100 7F80 01FE"            /* ............. */
	$"8000 0001 81FF FF01 8100 0101 8100 0101"            /* ............ */
	$"814B 6501 8100 0101 814D A501 8100 0101"            /* Ke....M.... */
	$"814F A501 8100 0101 814E E501 8100 0101"            /* O....N..... */
	$"9FFF FFFD 9400 0055 9400 0055 97FF FFD5"            /* .....U..U.. */
	$"9000 001D 9000 001D 9600 001D 9600 0011"            /* ............ */
	$"9000 0011 9FFF FFF1 8000 0001 8000 0001"            /* ............ */
	$"80FF FF01 8080 0101 8040 0201 7FE0 07FE"            /* .....@...... */
	$"00FF FF00 01FF FF80 00FF FF00 7FFF FFFE"            /* ............... */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FF80 01FF FFC0 03FF 7FE0 07FE"            /* .............. */
};

data 'icl8' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 00FF 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FF00 F6F6 F6F6 F6F6"            /* ................ */
	$"F6F6 F6F6 F6F6 F6FF 0000 0000 0000 0000"            /* ................ */
	$"00FF FFFF FFFF FFFF FF00 F6F6 F6F6 F6F6"            /* ................ */
	$"F6F6 F6F6 F6F6 F6FF FFFF FFFF FFFF FF00"            /* ................ */
	$"FF00 0000 0000 0000 0000 F6F6 F6F6 F6F6"            /* ................ */
	$"F6F6 F6F6 F6F6 F6F6 0000 0000 0000 00FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5FB F5F5 FFF5 FFFF"            /* ................ */
	$"F5FF FFF5 F5FB F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5FB F5F5 FFFF F5FF"            /* ................ */
	$"FFF5 FFF5 F5FB F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5FB F5F5 FFFF FFFF"            /* ................ */
	$"FFF5 FFF5 F5FB F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5FB F5F5 FFFF FFF5"            /* ................ */
	$"FFFF FFF5 F5FB F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6FB FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFB FFFB F6FF"            /* ................ */
	$"FF00 F6FF 2BFC 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....+.++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2BFF F9FF F6FF"            /* +++++++++.+..... */
	$"FF00 F6FF F9FC F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9FC F9FF F5FF F6FF"            /* ................ */
	$"FF00 F6FF 2BFC FCFC FCFC FCFC FCFC FCFC"            /* ....+........... */
	$"FCFC FCFC FCFC FCFC FCFC 2BFF F9FF F6FF"            /* ..........+..... */
	$"FF00 F6FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2BFF FBFF F6FF"            /* +++++++++++..... */
	$"FF00 F6FF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            /* ................ */
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9FF FDFF F6FF"            /* ................ */
	$"FF00 F6FF F5E3 E3F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FFFB F6FF"            /* ................ */
	$"FF00 F6FF 2BD8 D82B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2BFF F6F6 F6FF"            /* +++++++++++..... */
	$"FF00 F6FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* ....++++++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2BFF F6F6 F6FF"            /* +++++++++++..... */
	$"FF00 F6FB FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFB F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"            /* ................ */
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"            /* ................ */
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6F6 FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6F6 FF00 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 00FF 00F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FF00 F6F6 F6F6 F6F6 F6FF 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FF00 F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FF00"            /* ................ */
};

data 'icl4' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"0000 0000 FFFF FFFF FFFF FFFF 0000 0000"            /* ................ */
	$"0000 000F 0000 0000 0000 0000 F000 0000"            /* ................ */
	$"0000 0000 F0C0 C0C0 C0C0 C0CF 0000 0000"            /* ......... */
	$"0FFF FFFF F00C 0C0C 0C0C 0C0F FFFF FFF0"            /* ................ */
	$"F000 0000 00C0 C0C0 C0C0 C0C0 0000 000F"            /* ......... */
	$"F00C 0C0F FFFF FFFF FFFF FFFF 0C0C 0C0F"            /* ................ */
	$"F0C0 C0CF 0000 0000 0000 000F C0C0 C0CF"            /* ......... */
	$"F00C 0C0F 0000 0000 0000 000F 0C0C 0C0F"            /* ................ */
	$"F0C0 C0CF 0E00 F0FF 0FF0 0E0F C0C0 C0CF"            /* ......... */
	$"F00C 0C0F 0000 0000 0000 000F 0C0C 0C0F"            /* ................ */
	$"F0C0 C0CF 0E00 FF0F F0F0 0E0F C0C0 C0CF"            /* ......... */
	$"F00C 0C0F 0000 0000 0000 000F 0C0C 0C0F"            /* ................ */
	$"F0C0 C0CF 0E00 FFFF F0F0 0E0F C0C0 C0CF"            /* ......... */
	$"F00C 0C0F 0000 0000 0000 000F 0C0C 0C0F"            /* ................ */
	$"F0C0 C0CF 0E00 FFF0 FFF0 0E0F C0C0 C0CF"            /* ......... */
	$"F00C 0C0F 0000 0000 0000 000F 0C0C 0C0F"            /* ................ */
	$"F0CE FFFF FFFF FFFF FFFF FFFF FFFE FECF"            /* .............. */
	$"F00F CECC CCCC CCCC CCCC CCCC CECF DF0F"            /* .... */
	$"F0CF DEDD DDDD DDDD DDDD DDDD DEDF 0FCF"            /* .............. */
	$"F00F CEEE EEEE EEEE EEEE EEEE EECF DF0F"            /* .............. */
	$"F0CF CCCC CCCC CCCC CCCC CCCC CCCF EFCF"            /* .. */
	$"F00F DDDD DDDD DDDD DDDD DDDD DDDF EF0F"            /* ................ */
	$"F0CF 0880 0000 0000 0000 0000 000F FECF"            /* ............. */
	$"F00F C33C CCCC CCCC CCCC CCCC CCCF 0C0F"            /* ..<.. */
	$"F0CF CCCC CCCC CCCC CCCC CCCC CCCF C0CF"            /* . */
	$"F00E FFFF FFFF FFFF FFFF FFFF FFFE 0C0F"            /* ................ */
	$"F0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0CF"            /* . */
	$"F00C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F"            /* ................ */
	$"F0C0 C0C0 FFFF FFFF FFFF FFFF C0C0 C0CF"            /* ......... */
	$"F00C 0C0C F000 0000 0000 000F 0C0C 0C0F"            /* ................ */
	$"F0C0 C0C0 CF00 0000 0000 00F0 C0C0 C0CF"            /* ........ */
	$"0FFF FFFF FFF0 0000 0000 0FFF FFFF FFF0"            /* ................ */
};

data 'ics#' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"1FF8 781E 8001 9FF1 9011 9BB1 9011 9BB1"            /* ..x..... */
	$"9011 BFFD B005 B005 BFFD 8001 8FF1 7C3E"            /* .......|> */
	$"1FF8 7FFE FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 7C3E"            /* ..............|> */
};

data 'ics8' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"0000 00FF FFFF FFFF FFFF FFFF FF00 0000"            /* ................ */
	$"00FF FFFF FFF6 F6F6 F6F6 F6FF FFFF FF00"            /* ................ */
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FFF6 F6FF FFFF FFFF FFFF FFFF F6F6 F6FF"            /* ................ */
	$"FFF6 F6FF F5F5 F5F5 F5F5 F5FF F6F6 F6FF"            /* ................ */
	$"FFF6 F6FF FBF5 FFFF FFF5 FBFF F6F6 F6FF"            /* ................ */
	$"FFF6 F6FF F5F5 F5F5 F5F5 F5FF F6F6 F6FF"            /* ................ */
	$"FFF6 F6FF FBF5 FFFF FFF5 FBFF F6F6 F6FF"            /* ................ */
	$"FFF6 F6FF F5F5 F5F5 F5F5 F5FF F6F6 F6FF"            /* ................ */
	$"FFF6 FCFC FCFC FCFC FCFC FCFC FCFF F6FF"            /* ................ */
	$"FFF6 FFE3 F9F9 F9F9 F9F9 F9F9 F9FF F6FF"            /* ................ */
	$"FFF6 FFD8 F5F5 F5F5 F5F5 F5F5 F5FF F6FF"            /* ............... */
	$"FFF6 FFFF FFFF FFFF FFFF FFFF FFFF F6FF"            /* ................ */
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"            /* ................ */
	$"FFF6 F6F6 FFFF FFFF FFFF FFFF F6F6 F6FF"            /* ................ */
	$"00FF FFFF FFFF 0000 0000 FFFF FFFF FF00"            /* ................ */
};

data 'ics4' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"000F FFFF FFFF F000 0FFF FC0C 0C0F FFF0"            /* ................ */
	$"F0C0 C0C0 C0C0 C0CF FC0F FFFF FFFF 0C0F"            /* ......... */
	$"F0CF 0000 000F C0CF FC0F E0FF F0EF 0C0F"            /* ............. */
	$"F0CF 0000 000F C0CF FC0F E0FF F0EF 0C0F"            /* ............. */
	$"F0CF 0000 000F C0CF FCEE EEEE EEEE EF0F"            /* ............. */
	$"F0F8 DDDD DDDD DFCF FCF3 0000 0000 0F0F"            /* ............... */
	$"F0FF FFFF FFFF FFCF FC0C 0C0C 0C0C 0C0F"            /* ............... */
	$"F0C0 FFFF FFFF C0CF 0FFF FF00 00FF FFF0"            /* ............. */
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR TELLING THE SYSTEM WHAT KIND OF DRIVER WE ARE */
/* ------------------------------------------------------------------------ */

	
// select which imaging system to use and the ID of the imaging override resource, 
resource gxImagingSystemSelectorType (gxImagingSystemSelectorID, sysHeap)
{
	gxRasterPrinterType	// we use the raster system
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR TELLING THE SYSTEM WHAT MESSAGES WE'D LIKE TO GET */
/* ------------------------------------------------------------------------ */

// overrides for universal messages, and where to find them in the jump table
#define firstOffset 4
#define segmentID 	NewSegID

resource gxOverrideType (gxDriverUniversalOverrideID, sysheap, purgeable)
{
	{
	gxInitialize, 				segmentID, firstOffset + 0,
	gxShutDown, 				segmentID, firstOffset + 4,
	gxDefaultPrinter,			segmentID, firstOffset + 8,
	gxDefaultFormat,			segmentID, firstOffset + 12,
	gxDefaultJob,				segmentID, firstOffset + 16,
	gxJobDefaultFormatDialog,	segmentID, firstOffset + 20,
	gxJobFormatModeQuery,		segmentID, firstOffset + 24,
	gxRenderPage,				segmentID, firstOffset + 28,
	gxOpenConnection,			segmentID, firstOffset + 32,
	gxCloseConnection,			segmentID, firstOffset + 36,
	gxStartSendPage,			segmentID, firstOffset + 40,
	gxFinishSendPage,			segmentID, firstOffset + 44,
	gxDumpBuffer,				segmentID, firstOffset + 48,
	gxFreeBuffer,				segmentID, firstOffset + 52,
	gxSetupImageData,			segmentID, firstOffset + 56,
	gxJobIdle,					segmentID, firstOffset + 60,
	gxDefaultDesktopPrinter,	segmentID, firstOffset + 64,
	gxChooserMessage,			segmentID, firstOffset + 68
	};
};

// overrides for raster specific messages, and where to find them in the jump table
resource gxOverrideType (gxDriverImagingOverrideID, sysheap, purgeable)
{
	{
	gxRasterPackageBitmap,		segmentID, firstOffset + 72,
	gxRasterLineFeed,			segmentID, firstOffset + 76
	};
};



/* ------------------------------------------------------------------------ */
/* UNIVERSAL DRIVER AND IO RELATED RESOURCES */
/* ------------------------------------------------------------------------ */

// Capturing PAP ImageWriters settings
// how to capture this device
resource gxCaptureType (gxCapturedAppleTalkType, sysheap, purgeable)
{
	"\0D011ImageShared"
};
resource gxCaptureType (gxUncapturedAppleTalkType, sysheap, purgeable)
{
	"\0D011ImageWriter"
};

resource gxCaptureType (gxCaptureStringID, sysheap, purgeable)
{
	"\0X1B\0X62NAMELENPRINTERNAMETYPELENPRINTERTYPE\0X01*"
};

resource gxCaptureType (gxReleaseStringID, sysheap, purgeable)
{
	"\0X1B\0X62NAMELENPRINTERNAMETYPELENPRINTERTYPE\0X01*"
};


// This resource customizes the behavior of the universal driver, allowing us
// to use standard mechanisms for buffering and IO - all driver should have
// one of these resources, although the universal driver does provide some default
// values.

resource gxUniversalIOPrefsType (gxUniversalIOPrefsID, sysheap, purgeable)
{
	standardIO,
	4,			// four buffers (univ driver WILL run with less if it needs to)
	2500,		// we want them to each be large enough for one scan line of data (at least)
	10,			// number of requests blocks to allocate for HIO
	3*60*60,	// 3 minute timout for open/close
	3*60*60,	// as well as for reading and writing
};


/* ------------------------------------------------------------------------ */
/* RASTER GENERIC DRIVER RELATED RESOURCES */
/* ------------------------------------------------------------------------ */


// This resource customizes the behavior of the raster generic driver, allowing
// us to specify our imaging options, as well as format/page scaling.
// All raster drivers must have this resource.

resource gxRasterPrefsType (gxRasterPrefsID, sysheap, purgeable)
{
	gxDefaultRaster,	// default options are fine
	
	0x00900000,	0x00900000,	// 144X144 dpi device
	16,				// min band size == 2 head heights
	0,				// max band size (0 is full page)
	0x00008000,		// RAM percentage (50%)
	100*1024,		// RAM slop (100K)
	4,				// 4 bit device
		{
		// dithering offscreen
		3,										// dontSetHalftone + dotTypeIsDitherLevel, 
		
		0x002D0000,								// angle unused for dithering
		0x003C0000,								// freq unused for dithering
		4,										// dithering with a level of 4
		gxLuminanceTint,							// tintSpace unused for dithering
		
		gxRGBSpace, gxNoProfile, 0, 0, 0, 0, 					// dotColor unused for dithering
		gxRGBSpace, gxNoProfile, 0xFFFF, 0xFFFF, 0xFFFF, 0,		// background unused for dithering
		
		gxRGBSpace,								// halftone space unused for dithering

		gxIndexedSpace,				// indexed color space
		gxPrintingDriverBaseID,		// our color set
		gxNoProfile,				// our profile index, 1 if we had a profile (see below)
		
		
		};
};

// color set for the ImageWriter - a 4 bit space using only 8 of the possible colors
resource gxColorSetResType (gxPrintingDriverBaseID, sysHeap) {
	gxRGBSpace,
	{
		// R		G			B			unused
		0xFFFF,		0xFFFF,		0xFFFF,		0x0000;			// white
		0xFFFF,		0xFFFF,		0x0000,		0x0000;			// yellow
		0xFFFF,		0x0000,		0xFFFF,		0x0000;			// magenta
		0xFFFF,		0x0000,		0x0000,		0x0000;			// red
		0x0000,		0xFFFF,		0xFFFF,		0x0000;			// cyan
		0x0000,		0xFFFF,		0x0000,		0x0000;			// green
		0x0000,		0x0000,		0xFFFF,		0x0000;			// blue
		0xFFFF,		0xFFFF,		0xFFFF,		0x0000;			// white
		0x0000,		0x0000,		0x0000,		0x0000;			// black
	};
};


// This resource allows us to control the packaging that takes place within the
// raster generic driver's RasterDataIn proc.  Drivers which do not use the Raster 
// generic RasterDataIn proc or override it entirely themselves need not have this resource.

resource gxRasterPackType (gxRasterPackID, sysheap, purgeable)
{
	2500,				// packing buffer size - for the ImageWriter 
						// this is the # of bytes in our largest single packaged line
	
	4,					// we are a CMYK (so we make 4 passes over the data)
	16,					// we have a 16 pixel high head
	2,					// it takes two passes to achive this 16 pixels
	1,					// and there is a 1 pixel difference between these two passes
	gxInterlaceColor,		// avoid ribbon contamination
};


// This resource allows us to control the remaining raster messages used for packaging.
// This includes form feed, line feed, and package bitmap.
// Drivers not using the Raster Generic Driver's implementations of these messages
// need not have this resource.

#define PERFSKIPOFF		"\0X1BD\0X00\0X04"
#define PAPEROUTOFF		"\0X1Bo"
#define UNIDIRECTIONAL	"\0X1B>"
#define BIDIRECTIONAL	"\0X1B<"
#define DPI144			"\0X1Bp"
#define DPI160			"\0X1BP"
#define DPI72			"\0X1Bn"
#define DPI80			"\0X1BN"

resource 'wstr' (gxPrintingDriverBaseID, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF UNIDIRECTIONAL DPI144
};

resource 'wstr' (gxPrintingDriverBaseID+1, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF UNIDIRECTIONAL DPI160
};

resource 'wstr' (gxPrintingDriverBaseID+2, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF BIDIRECTIONAL DPI72
};

resource 'wstr' (gxPrintingDriverBaseID+3, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF BIDIRECTIONAL DPI80
};

resource 'wstr' (gxPrintingDriverBaseID+10, sysheap, purgeable) {
	"\0X0C",			// End page string:   a control-L for the IW's form feed
};

resource gxRasterPackOptionsType (gxRasterPackOptionsID, sysheap, purgeable)
{
	gxPrintingDriverBaseID,
	gxPrintingDriverBaseID + 10,
	
	// forward line feed characteristics
	98,					// max line feed amount is 98
	gxRasterNumToASCII,	// express line feed as ASCII
	2,					// minimum width is 2
	"0",				// and pad with zeros
	"\0X1BT",			// <esc>T == set line feed size
	"\0X1Bf\0X0A",		// <esc>f<lf> == direction forward, do line feed
	
	// reverse line feed characteristics
	98,					// max line feed amount is 98
	gxRasterNumToASCII,	// express line feed as ASCII
	2,					// minimum width is 2
	"0",				// and pad with zeros
	"\0X1BT",			// <esc>T == set line feed size
	"\0X1Br\0X0A",		// <esc>r<lf> == direction reverse, do line feed
	
	// Here will eventually come data that controls the PackageBitmap message 
};



/* ------------------------------------------------------------------------ */
/* RESOURCES FOR STATUS AND DIALOGS */
/* ------------------------------------------------------------------------ */

resource 'stat'	(kDriverStatus, sysheap, purgeable) {

	'scI1',
	
	{
	// statusType			statusID	cool alert ID		statusString								code constant
	printerReady,			1,	 		0,					"Sending data to printer";					// kSendingData
	userAlert,				1,	 		kDriverStatus,		"Please check that the printer is online";	// kCheckOnline				// kSendingData
	}
};

resource gxPrintingAlertType (kDriverStatus, sysheap, purgeable)			//	The printer isn't online
{
	printingStatus,																// version
	cautionIcon,															// icon id
	defaultSystemSize,
	defaultAction,															// the default label
	cancelTitle2,															// button 2
	"The document !1 cannot be printed, because the printer "
 	"!0 is offline.  To continue printing, please make "
	"sure the printer is "
	"properly connected and turned on.  If you wish "	
	"to cancel printing, please click Cancel Printing.",
 	"Continue",																// action label
	"Cancel Printing",														// button label 2
	"Hold",																	// button label 3
	" ",																	// font name 
	"Printer offline"
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR PAPERTYPES */
/* ------------------------------------------------------------------------ */

resource 'ptyp' (gxPrintingDriverBaseID, sysheap, purgeable) {
	"US Letter",
	0x0,
	0x0,
	0x2400000,
	0x2FB3333,
	-0x120000,
	-0xE6666,
	0x2520000,
	0x3099999,
	usLetterBase,
	'scI1',
	inch,
	oldandNewStylePaperType,
	isDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+1, sysheap, purgeable) {
	"A4 Letter",
	0x0,
	0x0,
	0x2400000,
	0x3180000,
	-0x120000,
	-0xE6666,
	0x2520000,
	0x3266666,
	a4LetterBase,
	'scI1',
	mm,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+2, sysheap, purgeable) {
	"US Legal",
	0x0,
	0x0,
	0x2400000,
	0x3D33334,
	-0x120000,
	-0xE6666,
	0x2520000,
	0x3E1999A,
	usLegalBase,
	'scI1',
	inch,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+3, sysheap, purgeable) {
	"International Fanfold",
	0x0,
	0x0,
	0x2520000,
	0x3600000,
	-0x120000,
	-0xE6666,
	0x2640000,
	0x36E6666,
	unknownBase,
	'scI1',
	mm,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+4, sysheap, purgeable) {
	"Computer Paper",
	0x0,
	0x0,
	0x3F00000,
	0x3180000,
	-0x120000,
	-0xE6666,
	0x4020000,
	0x3266666,
	unknownBase,
	'scI1',
	inch,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+5, sysheap, purgeable) {
	"Envelope",
	0x0,
	0x0,
	0x2640000,
	0x1290000,
	-0x120000,
	-0xE6666,
	0x2760000,
	0x1376666,
	unknownBase,
	'scI1',
	inch,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+17, sysheap, purgeable)			// B5 Letter 
{
	"B5 Letter",
	
	0x0,
	0x0,
	0x1E000A8,
	0x2A600A8,
	-0x120000,
	-0xE6666,
	0x1F200A8,
	0x2B4670E,
	
	b5LetterBase,

	'scI1',
	mm,
	oldAndNewStylePaperType,
	notDefaultPaperType,
	{}
};
