#
# FILE
# 	Generic LaserWriter.make
#
# This is the make file for a generic LaserWriter driver.
#
#  1991-1994 Apple Computer Inc.
#
#   8/28/94		dmh							Finalized for the SDK.
#  12/18/93		dmh							Made non-IIg-specific for the b3 seed.
#   9/13/93		dmh							Updated for the b2 seed.
#   4/26/93		dmh							Validated for the b1 seed.
#   2/04/93		dmh							Modified for the a5 seed.
#  10/22/92		Duane Byram			Added changes for version control
#  05/30/91										New Today
#

#========== Directories Containing Source and Object Files ==========

ObjectsDir		=	:Objects:
TargetsDir		= 
SourcesDir		=	

#========== File names, etc. ==========

ChooserFile		= ChooserSupport
DriverName  	= Generic LaserWriter

kCreator			= 'scL1'

#========== Compiler Options ==========

AsmOptions			=		-case obj
RezOptions			=		-i {RIncludes} -a
CompileOptions	=		-b2 -d applec -i {CIncludes}

#======================================

"{ObjectsDir}{DriverName}.c.o"			"{SourcesDir}{DriverName}.c"				
																		"{SourcesDir}{DriverName}.make"
		C {CompileOptions} "{SourcesDir}{DriverName}.c" -o "{ObjectsDir}{DriverName}.c.o"

"{ObjectsDir}{ChooserFile}.c.o"			"{SourcesDir}{ChooserFile}.c"				
																		"{SourcesDir}{DriverName}.make"
		C {CompileOptions} "{SourcesDir}{ChooserFile}.c" -o "{ObjectsDir}{ChooserFile}.c.o"
	
"{ObjectsDir}{DriverName}.a.o"			"{SourcesDir}{DriverName}.a"				
																		"{SourcesDir}{DriverName}.make"
		Asm {AsmOptions} "{SourcesDir}{DriverName}.a" -o "{ObjectsDir}{DriverName}.a.o"

"{ObjectsDir}{ChooserFile}.a.o"			"{SourcesDir}{ChooserFile}.a"				
																		"{SourcesDir}{DriverName}.make"
		Asm {AsmOptions} "{SourcesDir}{ChooserFile}.a" -o "{ObjectsDir}{ChooserFile}.a.o"

"{TargetsDir}{DriverName}"				"{SourcesDir}{DriverName}.r"				
																		"{SourcesDir}{DriverName}.make"
		Rez {RezOptions} 																										
				"{SourcesDir}{DriverName}.r"																		
				-o "{TargetsDir}{DriverName}"
		SetFile -a Bi "{TargetsDir}{DriverName}"

"{TargetsDir}{DriverName}"				"{SourcesDir}{ChooserFile}.r"				
																		"{SourcesDir}{DriverName}.make"
		Rez {RezOptions}																										
				"{SourcesDir}{ChooserFile}.r"																		
				-o "{TargetsDir}{DriverName}"

"{TargetsDir}{DriverName}"				"{ObjectsDir}{DriverName}.a.o"			
																		"{ObjectsDir}{DriverName}.c.o"			
																		"{SourcesDir}{DriverName}.make"
	Link		-t 'pdvr'																											
					-c {kCreator}																									
					-ra =resSysHeap,resPurgeable																	
					-rt pdvr=0																										
					-sg "{DriverName}"																						
					-m DriverJumpTable																						
					-msg noDup																										
					"{ObjectsDir}{DriverName}.a.o"																
					"{ObjectsDir}{DriverName}.c.o"																
					"{Libraries}Interface.o"																			
					-o "{TargetsDir}{DriverName}"

"{TargetsDir}{DriverName}"				"{ObjectsDir}{ChooserFile}.a.o"			
																		"{ObjectsDir}{ChooserFile}.c.o"			
																		"{SourcesDir}{DriverName}.make"
	Link 																																	
					"{ObjectsDir}{ChooserFile}.a.o"																
					"{ObjectsDir}{ChooserFile}.c.o"																
					-ra =resSysHeap,resPurgeable																	
					-rt PACK=-4096																								
					-sg PrintingPACK																							
					-m EntryPoint																									
					-o "{TargetsDir}{DriverName}"

"{TargetsDir}{DriverName}"				"{ObjectsDir}{ChooserFile}.a.o"			
																		"{ObjectsDir}{ChooserFile}.c.o"			
																		"{SourcesDir}{DriverName}.make"
	Link 																																	
					"{ObjectsDir}{ChooserFile}.c.o"																
					"{Libraries}Interface.o"																			
					-ra =resSysHeap,resPurgeable																	
					-rt LDEF=-4096																								
					-sg LDEF																											
					-m LDEF																												
					-w																														
					-o "{TargetsDir}{DriverName}"

